#line 1 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/mikromedia_5_tiva_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct {
 unsigned long config;
 unsigned int displayWidth;
 unsigned int displayHeight;
 unsigned int horizontalFrontPorch;
 unsigned int horizontalBackPorch;
 unsigned int horizontalSyncWidth;
 unsigned short verticalFrontPorch;
 unsigned short verticalBackPorch;
 unsigned short verticalSyncWidth;
 unsigned short biasLineCount;
} TLCDRasterTiming;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Image {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const char *Picture_Name;
 char Visible;
 char Active;
 char Picture_Type;
 char Picture_Ratio;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TImage;

typedef struct Circle {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Radius;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCircle;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

typedef struct Line {
 TScreen* OwnerScreen;
 char Order;
 unsigned int First_Point_X;
 unsigned int First_Point_Y;
 unsigned int Second_Point_X;
 unsigned int Second_Point_Y;
 char Pen_Width;
 char Visible;
 unsigned int Color;
} TLine;

typedef struct CheckBox {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Checked;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Rounded;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCheckBox;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int ImagesCount;
 TImage * const code *Images;
 unsigned int CirclesCount;
 TCircle * const code *Circles;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
 unsigned int LinesCount;
 TLine * const code *Lines;
 unsigned int CheckBoxesCount;
 TCheckBox * const code *CheckBoxes;
};

extern TScreen Home;
extern TImage Image1;
extern TImage Image3;
extern TLabel Label5;
extern TLabel Label7;
extern TLabel Label8;
extern TImage Image6;
extern TLabel Label14;
extern TImage Image10;
extern TLabel Label19;
extern TImage Image9;
extern TLabel Label20;
extern TImage Image16;
extern TLabel Label25;
extern TImage Image24;
extern TLabel Label30;
extern TImage Image18;
extern TLabel Label34;
extern TImage TicTacToe;
extern TLabel Label40;
extern TImage BatteryStatus;
extern TLabel Label44;
extern TLabel Label45;
extern TLabel * const code Screen1_Labels[12];
extern TImage * const code Screen1_Images[10];

extern TScreen Accelerometer;
extern TBox Box23;
extern TBox Box1;
extern TImage Image2;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel * const code Screen2_Labels[4];
extern TImage * const code Screen2_Images[1];
extern TBox * const code Screen2_Boxes[2];

extern TScreen RGBLight;
extern TBox Box22;
extern TLabel Label9;
extern TImage Image5;
extern TLabel Label10;
extern TCircle Circle1;
extern TLabel Label11;
extern TLabel Label12;
extern TLabel Label13;
extern TBox RGB_Active_area;
extern TLabel * const code Screen3_Labels[5];
extern TImage * const code Screen3_Images[1];
extern TCircle * const code Screen3_Circles[1];
extern TBox * const code Screen3_Boxes[2];

extern TScreen Clock;
extern TBox Box13;
extern TBox Box16;
extern TBox Box15;
extern TBox Box12;
extern TLabel Label15;
extern TBox Box2;
extern TBox Box3;
extern TLabel Label16;
extern TImage ClockBack;
extern TLabel Label17;
extern TLabel Label18;
extern TImage SyncIcon;
extern TImage Image8;
extern TBox Box4;
extern TBox Box5;
extern TImage Image7;
extern TLabel Label42;
extern TImage Image17;
extern TBox Box14;
extern TLabel * const code Screen4_Labels[5];
extern TImage * const code Screen4_Images[5];
extern TBox * const code Screen4_Boxes[9];

extern TScreen Sensors;
extern TBox Diagram5_Box1;
extern TBox Box21;
extern TImage TempIcon;
extern TImage LightIcon;
extern TLabel Diagram5_Label1;
extern TLabel Diagram5_Label2;
extern TLabel Diagram5_Label3;
extern TLabel Diagram5_Label4;
extern TLabel Diagram5_Label5;
extern TImage BackIconSensors;
extern TLabel Diagram5_Label6;
extern TLabel Label21;
extern TLabel * const code Screen5_Labels[7];
extern TImage * const code Screen5_Images[3];
extern TBox * const code Screen5_Boxes[2];

extern TScreen MP3_SD;
extern TBox Box20;
extern TLabel Label22;
extern TLabel Label23;
extern TImage Image11;
extern TImage Image12;
extern TImage Image13;
extern TImage Image14;
extern TImage mp3_back_icon;
extern TLabel * const code Screen6_Labels[2];
extern TImage * const code Screen6_Images[5];
extern TBox * const code Screen6_Boxes[1];

extern TScreen MP3_SongList;
extern TBox Box19;
extern TBox Box6;
extern TLabel Label24;
extern TImage mp3_back_icon2;
extern TLabel Label26;
extern TImage folder_icon;
extern TImage file_icon;
extern TLabel * const code Screen7_Labels[2];
extern TImage * const code Screen7_Images[3];
extern TBox * const code Screen7_Boxes[2];

extern TScreen MP3_Player;
extern TBox Box17;
extern TLabel Label27;
extern TImage Icon_back_mp3;
extern TBox VolmeBar;
extern TImage Image15;
extern TBox ProgressBar;
extern TLabel Label28;
extern TImage previous_icon;
extern TImage pause_icon;
extern TImage Play_icon;
extern TImage stop_icon;
extern TImage next_icon;
extern TImage songlist_icon;
extern TLabel Label6;
extern TLabel * const code Screen8_Labels[3];
extern TImage * const code Screen8_Images[8];
extern TBox * const code Screen8_Boxes[3];

extern TScreen Paint;
extern TBox Box18;
extern TImage Image4;
extern TImage NewScreen;
extern TImage Image25;
extern TImage Pen;
extern TImage Image27;
extern TImage Eraser;
extern TImage Image29;
extern TBox DrawingArea;
extern TImage icon_paint_back;
extern TLabel Label29;
extern TBox Color01;
extern TBox Color02;
extern TBox Color03;
extern TBox Color04;
extern TBox Color05;
extern TBox Color06;
extern TBox Color07;
extern TBox Color08;
extern TBox Color09;
extern TBox Color10;
extern TBox Color11;
extern TBox Color12;
extern TBox Color13;
extern TBox Color14;
extern TBox Color15;
extern TBox Color16;
extern TBox Color17;
extern TBox Color18;
extern TBox Color19;
extern TBox Color20;
extern TBox Color21;
extern TBox Color22;
extern TBox Color23;
extern TBox Color24;
extern TBox Color25;
extern TBox Color26;
extern TBox Color27;
extern TBox Color28;
extern TBox Color29;
extern TBox Color30;
extern TImage BackGroundColor;
extern TBox Pen1;
extern TBox Pen2;
extern TBox Pen3;
extern TLabel * const code Screen9_Labels[1];
extern TImage * const code Screen9_Images[9];
extern TBox * const code Screen9_Boxes[35];

extern TScreen SlideShow;
extern TBox Slide_Active_area;
extern TBox Box7;
extern TBox icon_previous_box;
extern TBox Icon_next_box;
extern TLabel Label31;
extern TImage back_slide_show;
extern TLabel Label32;
extern TLabel Label33;
extern TImage icon_previous;
extern TImage Icon_next;
extern TLabel Label35;
extern TLabel * const code Screen10_Labels[4];
extern TImage * const code Screen10_Images[3];
extern TBox * const code Screen10_Boxes[4];

extern TScreen Tic_Tac_Toe;
extern TBox Box8;
extern TBox Box10;
extern TBox Box11;
extern TBox Box9;
extern TButton Button9;
extern TButton Button8;
extern TButton Button7;
extern TButton Button6;
extern TButton Button5;
extern TButton Button4;
extern TButton Button3;
extern TButton Button2;
extern TButton Button1;
extern TLabel Label36;
extern TImage Image20;
extern TLabel Label37;
extern TImage Image21;
extern TLabel Label38;
extern TLabel Label39;
extern TLabel XO1;
extern TLabel XO2;
extern TLabel XO3;
extern TLabel XO4;
extern TLabel XO5;
extern TLabel XO6;
extern TLabel XO7;
extern TLabel XO8;
extern TLabel XO9;
extern TCheckBox CheckBox1;
extern TLabel Label41;
extern TButton * const code Screen11_Buttons[9];
extern TLabel * const code Screen11_Labels[14];
extern TImage * const code Screen11_Images[2];
extern TBox * const code Screen11_Boxes[4];
extern TCheckBox * const code Screen11_CheckBoxes[1];

extern TScreen Loading;
extern TLabel Label46;
extern TLine Line1;
extern TImage Image22;
extern TLabel * const code Screen12_Labels[1];
extern TImage * const code Screen12_Images[1];
extern TLine * const code Screen12_Lines[1];




void BackGroundColorOnPress();
void BackIconSensorsOnPress();
void Box10OnClick();
void Box11OnPress();
void Box12OnClick();
void Box12OnPress();
void Box13OnClick();
void Box14OnPress();
void Box2OnPress();
void Box3OnPress();
void Box4OnPress();
void Box5OnPress();
void Box6OnClick();
void Box6OnPress();
void Box7OnDown();
void Box9OnPress();
void Button1OnClick();
void Button2OnClick();
void Button3OnClick();
void Button4OnClick();
void Button5OnClick();
void Button6OnClick();
void Button7OnClick();
void Button8OnClick();
void Button9OnClick();
void CheckBox1OnClick();
void ClockBackOnPress();
void Color01OnPress();
void Color02OnPress();
void Color03OnPress();
void Color04OnPress();
void Color05OnPress();
void Color06OnPress();
void Color07OnPress();
void Color08OnPress();
void Color09OnPress();
void Color10OnPress();
void Color11OnPress();
void Color12OnPress();
void Color13OnPress();
void Color14OnPress();
void Color15OnPress();
void Color16OnPress();
void Color17OnPress();
void Color18OnPress();
void Color19OnPress();
void Color20OnPress();
void Color21OnPress();
void Color22OnPress();
void Color23OnPress();
void Color24OnPress();
void Color25OnPress();
void Color26OnPress();
void Color27OnPress();
void Color28OnPress();
void Color29OnPress();
void Color30OnPress();
void DrawingAreaOnPress();
void EraserOnPress();
void Icon_back_mp3OnClick();
void Icon_next_boxOnPress();
void icon_paint_backOnPress();
void icon_previous_boxOnPress();
void Image15OnPress();
void Image16OnClick();
void Image18OnClick();
void Image1OnPress();
void Image22OnClick();
void Image24OnPress();
void Image2OnPress();
void Image3OnPress();
void Image4OnPress();
void Image5OnPress();
void Image6OnClick();
void Image8OnPress();
void Image9OnPress();
void Label22OnPress();
void Label24OnPress();
void Label27OnPress();
void mp3_back_iconOnPress();
void NewScreenOnPress();
void next_iconOnDown();
void pause_iconOnPress();
void Pen1OnPress();
void Pen2OnPress();
void Pen3OnPress();
void PenOnPress();
void Play_iconOnDown();
void previous_iconOnDown();
void ProgreesBarOnPress();
void RGB_Active_areaOnPress();
void Slide_Active_areaOnPress();
void songlist_iconOnPress();
void stop_iconOnDown();
void VolmeBarOnPress();




extern char Image1_Caption[];
extern char Image3_Caption[];
extern char Label5_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char Image6_Caption[];
extern char Label14_Caption[];
extern char Image10_Caption[];
extern char Label19_Caption[];
extern char Image9_Caption[];
extern char Label20_Caption[];
extern char Image16_Caption[];
extern char Label25_Caption[];
extern char Image24_Caption[];
extern char Label30_Caption[];
extern char Image18_Caption[];
extern char Label34_Caption[];
extern char TicTacToe_Caption[];
extern char Label40_Caption[];
extern char BatteryStatus_Caption[];
extern char Label44_Caption[];
extern char Label45_Caption[];
extern char Box23_Caption[];
extern char Box1_Caption[];
extern char Image2_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Box22_Caption[];
extern char Label9_Caption[];
extern char Image5_Caption[];
extern char Label10_Caption[];
extern char Circle1_Caption[];
extern char Label11_Caption[];
extern char Label12_Caption[];
extern char Label13_Caption[];
extern char RGB_Active_area_Caption[];
extern char Box13_Caption[];
extern char Box16_Caption[];
extern char Box15_Caption[];
extern char Box12_Caption[];
extern char Label15_Caption[];
extern char Box2_Caption[];
extern char Box3_Caption[];
extern char Label16_Caption[];
extern char ClockBack_Caption[];
extern char Label17_Caption[];
extern char Label18_Caption[];
extern char SyncIcon_Caption[];
extern char Image8_Caption[];
extern char Box4_Caption[];
extern char Box5_Caption[];
extern char Image7_Caption[];
extern char Label42_Caption[];
extern char Image17_Caption[];
extern char Box14_Caption[];
extern char Diagram5_Box1_Caption[];
extern char Box21_Caption[];
extern char TempIcon_Caption[];
extern char LightIcon_Caption[];
extern char Diagram5_Label1_Caption[];
extern char Diagram5_Label2_Caption[];
extern char Diagram5_Label3_Caption[];
extern char Diagram5_Label4_Caption[];
extern char Diagram5_Label5_Caption[];
extern char BackIconSensors_Caption[];
extern char Diagram5_Label6_Caption[];
extern char Label21_Caption[];
extern char Box20_Caption[];
extern char Label22_Caption[];
extern char Label23_Caption[];
extern char Image11_Caption[];
extern char Image12_Caption[];
extern char Image13_Caption[];
extern char Image14_Caption[];
extern char mp3_back_icon_Caption[];
extern char Box19_Caption[];
extern char Box6_Caption[];
extern char Label24_Caption[];
extern char mp3_back_icon2_Caption[];
extern char Label26_Caption[];
extern char folder_icon_Caption[];
extern char file_icon_Caption[];
extern char Box17_Caption[];
extern char Label27_Caption[];
extern char Icon_back_mp3_Caption[];
extern char VolmeBar_Caption[];
extern char Image15_Caption[];
extern char ProgressBar_Caption[];
extern char Label28_Caption[];
extern char previous_icon_Caption[];
extern char pause_icon_Caption[];
extern char Play_icon_Caption[];
extern char stop_icon_Caption[];
extern char next_icon_Caption[];
extern char songlist_icon_Caption[];
extern char Label6_Caption[];
extern char Box18_Caption[];
extern char Image4_Caption[];
extern char NewScreen_Caption[];
extern char Image25_Caption[];
extern char Pen_Caption[];
extern char Image27_Caption[];
extern char Eraser_Caption[];
extern char Image29_Caption[];
extern char DrawingArea_Caption[];
extern char icon_paint_back_Caption[];
extern char Label29_Caption[];
extern char Color01_Caption[];
extern char Color02_Caption[];
extern char Color03_Caption[];
extern char Color04_Caption[];
extern char Color05_Caption[];
extern char Color06_Caption[];
extern char Color07_Caption[];
extern char Color08_Caption[];
extern char Color09_Caption[];
extern char Color10_Caption[];
extern char Color11_Caption[];
extern char Color12_Caption[];
extern char Color13_Caption[];
extern char Color14_Caption[];
extern char Color15_Caption[];
extern char Color16_Caption[];
extern char Color17_Caption[];
extern char Color18_Caption[];
extern char Color19_Caption[];
extern char Color20_Caption[];
extern char Color21_Caption[];
extern char Color22_Caption[];
extern char Color23_Caption[];
extern char Color24_Caption[];
extern char Color25_Caption[];
extern char Color26_Caption[];
extern char Color27_Caption[];
extern char Color28_Caption[];
extern char Color29_Caption[];
extern char Color30_Caption[];
extern char BackGroundColor_Caption[];
extern char Pen1_Caption[];
extern char Pen2_Caption[];
extern char Pen3_Caption[];
extern char Slide_Active_area_Caption[];
extern char Box7_Caption[];
extern char icon_previous_box_Caption[];
extern char Icon_next_box_Caption[];
extern char Label31_Caption[];
extern char back_slide_show_Caption[];
extern char Label32_Caption[];
extern char Label33_Caption[];
extern char icon_previous_Caption[];
extern char Icon_next_Caption[];
extern char Label35_Caption[];
extern char Box8_Caption[];
extern char Box10_Caption[];
extern char Box11_Caption[];
extern char Box9_Caption[];
extern char Button9_Caption[];
extern char Button8_Caption[];
extern char Button7_Caption[];
extern char Button6_Caption[];
extern char Button5_Caption[];
extern char Button4_Caption[];
extern char Button3_Caption[];
extern char Button2_Caption[];
extern char Button1_Caption[];
extern char Label36_Caption[];
extern char Image20_Caption[];
extern char Label37_Caption[];
extern char Image21_Caption[];
extern char Label38_Caption[];
extern char Label39_Caption[];
extern char XO1_Caption[];
extern char XO2_Caption[];
extern char XO3_Caption[];
extern char XO4_Caption[];
extern char XO5_Caption[];
extern char XO6_Caption[];
extern char XO7_Caption[];
extern char XO8_Caption[];
extern char XO9_Caption[];
extern char CheckBox1_Caption[];
extern char Label41_Caption[];
extern char Label46_Caption[];
extern char Line1_Caption[];
extern char Image22_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawImage(TImage *AImage);
void DrawCircle(TCircle *ACircle);
void DrawBox(TBox *ABox);
void DrawLine(TLine *Aline);
void DrawCheckBox(TCheckBox *ACheckBox);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/power_management.h"

extern char Display_Bat_Stat;


void Power_Man_Init();
void checkPowerM();
#line 8 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
sbit LED_R at GPIO_PORTD_AHB_DATA.B2;
sbit LED_G at GPIO_PORTD_AHB_DATA.B3;
sbit LED_B at GPIO_PORTD_AHB_DATA.B5;
sbit LED_R_Direction at GPIO_PORTD_AHB_DIR.B2;
sbit LED_G_Direction at GPIO_PORTD_AHB_DIR.B3;
sbit LED_B_Direction at GPIO_PORTD_AHB_DIR.B5;


sbit Mmc_Chip_Select at GPIO_PORTA_AHB_DATA.B3;
sbit MMC_Card_Detect at GPIO_PORTE_AHB_DATA.B6;
sbit Mmc_Chip_Select_Direction at GPIO_PORTA_AHB_DIR.B3;
sbit MMC_Card_Detect_Direction at GPIO_PORTE_AHB_DIR.B6;


sbit MP3_CS at GPIO_PORTN_DATA.B0;
sbit MP3_RST at GPIO_PORTN_DATA.B2;
sbit BSYNC at GPIO_PORTN_DATA.B3;
sbit DREQ at GPIO_PORTN_DATA.B1;
sbit MP3_CS_Direction at GPIO_PORTN_DIR.B0;
sbit MP3_RST_Direction at GPIO_PORTN_DIR.B2;
sbit BSYNC_Direction at GPIO_PORTN_DIR.B3;
sbit DREQ_Direction at GPIO_PORTN_DIR.B1;


sbit nRF_CS at GPIO_PORTF_AHB_DATA.B6;
sbit nRF_CE at GPIO_PORTG_AHB_DATA.B3;
sbit nRF_IRQ at GPIO_PORTG_AHB_DATA.B2;
sbit nRF_CS_Direction at GPIO_PORTF_AHB_DIR.B6;
sbit nRF_CE_Direction at GPIO_PORTG_AHB_DIR.B3;
sbit nRF_IRQ_Direction at GPIO_PORTG_AHB_DIR.B2;


sbit BackLight_LED at GPIO_PORTM_DATA.B6;
sbit BackLight_LED_Direction at GPIO_PORTM_DIR.B6;


sbit USB_VBUS at GPIO_PORTB_AHB_DATA.B1;
sbit DC_VBUS at GPIO_PORTN_DATA.B4;
sbit BAT_STAT1 at GPIO_PORTQ_DATA.B6;
sbit BAT_STAT2 at GPIO_PORTQ_DATA.B7;
sbit USB_VBUS_Direction at GPIO_PORTB_AHB_DIR.B1;
sbit DC_VBUS_Direction at GPIO_PORTN_DIR.B4;
sbit BAT_STAT1_Direction at GPIO_PORTQ_DIR.B6;
sbit BAT_STAT2_Direction at GPIO_PORTQ_DIR.B7;


sfr sbit Net_Wireless_CC3000_CS at GPIO_PORTB_AHB_DATA.B4;
sfr sbit Net_Wireless_CC3000_Int at GPIO_PORTB_AHB_DATA.B2;
sfr sbit Net_Wireless_CC3000_En at GPIO_PORTF_AHB_DATA.B5;

sfr sbit Net_Wireless_CC3000_CS_Direction at GPIO_PORTB_AHB_DIR.B4;
sfr sbit Net_Wireless_CC3000_Int_Direction at GPIO_PORTB_AHB_DIR.B2;
sfr sbit Net_Wireless_CC3000_En_Direction at GPIO_PORTF_AHB_DIR.B5;


sbit PSW at GPIO_PORTD_AHB_DATA.B6;


const unsigned long mikroProg_for_tiva_bmp = 0x0000014C;
const unsigned long arm_compilers_bmp = 0x00092F52;
const unsigned long clicks_bmp = 0x00125D58;
const unsigned long easymxprov7_bmp = 0x001B8B5E;
const unsigned long mikromedia5_for_tiva_bmp = 0x0024B964;
const unsigned long mikromediaplus_stellaris_bmp = 0x002DE76A;
const unsigned long mp3_note_bmp = 0x00371570;
const unsigned long mp3_player_note_bmp = 0x003862B0;
const unsigned long game_table_bmp = 0x00390546;
const unsigned long rgb_bitmap_bmp = 0x003E2CEC;


char Fat_Initialized_Flag;
unsigned long BackLight_PWM_period;
unsigned int *My_MemoryStartPtr;




static signed short Ext_fhandle;
static char Ext_res_initialized;
static unsigned long rfStartSect;
static char My_Ext_Data_Buffer[512];
static unsigned long currentSector = -1, res_file_size;
#line 98 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
void Init_GPIO(){

 GPIO_Digital_Input(&GPIO_PORTE_AHB, _GPIO_PINMASK_6);


 Sound_Init(&GPIO_PORTM_DATA, 7);


 GPIO_Digital_Output(&GPIO_PORTD_AHB, _GPIO_PINMASK_2 | _GPIO_PINMASK_3 | _GPIO_PINMASK_5);


 Power_Man_Init();


 GPIO_Digital_Output(&GPIO_PORTM, _GPIO_PINMASK_6);
 BackLight_PWM_period = PWM_T5CCP0_Init(200, &_GPIO_MODULE_T5CCP0_M6);
 PWM_T5CCP0_Set_Duty(BackLight_PWM_period, _PWM_INVERTED_DISABLE);
 PWM_T5CCP0_Start();


 Fat_Initialized_Flag = 0;
 Ext_res_initialized = 0;
 Ext_fhandle = 0xFF;

 My_MemoryStartPtr = 0x10000000;
}
#line 132 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
char* MyTFT_Get_Data(unsigned long fPos, unsigned long bytesToGet, unsigned long *pBytesGot) {
 unsigned int scOffset;

 *pBytesGot = 0;

 if (Ext_fhandle < 0) {
 return 0;
 }

 SPI_Set_Active(SPI0_Read, SPI0_Write);






 f32_sector.fSectNum = rfStartSect + fPos / 512;
 Mmc_Read_Sector(f32_sector.fSectNum, f32_sector.fSect);


 scOffset = fPos % 512;
 if(bytesToGet > 512-scOffset)
 *pBytesGot = 512-scOffset;
 else
 *pBytesGot = bytesToGet;

 SPI_Set_Active(SPI1_Read, SPI1_Write);

 return &f32_sector.fSect + scOffset;
}
#line 170 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
void Fill_LoadingBar(unsigned short bar){
 static unsigned short old_bar;

 if (bar == 127){
 TFTIntern_Set_Pen(CL_GRAY_Intern, 2);
 TFTIntern_H_Line(Line1.First_Point_X - 5, Line1.Second_Point_X, Line1.Second_Point_Y);
 }
 else
 if (old_bar != bar){
 old_bar = bar;
 TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
 TFTIntern_H_Line(Line1.First_Point_X + (bar-1) * 5, Line1.First_Point_X + bar * 5, Line1.Second_Point_Y);
 }
}
#line 192 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
char CopyImage_FromResources_ToSRAM(unsigned long offset, unsigned int *SRAMStartPtr){
 unsigned long number, written;
 char *ptr;
 signed long size;
 unsigned int step;

 ptr = MyTFT_Get_Data(offset, 6, &number);

 if (number == 6){
 size = ((unsigned long)(*(ptr+3)) << 8) + *(ptr+2);
 size *= ((unsigned long)(*(ptr+5)) << 8) + *(ptr+4);
 size *= 2;
 size += 6;
 }
 else
 return 1;

 step = size / 100;
 written = 0;
 while (size > 0){
 if (size%2)
 asm nop;
 ptr = MyTFT_Get_Data(offset + written, 512, &number);
 EPI_WorkaroundHWordWriteArrayInc(SRAMStartPtr + written/2, (unsigned int *)ptr, number/2);
 Fill_LoadingBar(written / step);
 size -= number;
 written += number;
 }

 Fill_LoadingBar(127);
 return 0;
}
#line 232 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
unsigned long Get_Cursor_Offset(unsigned int _x, unsigned int _y) {
unsigned int x_cord, y_cord;

 if (TFTIntern_GetDisplayRotation() == _TFT_INTERN_ROTATE_0) {
 x_cord = _x;
 y_cord = _y;
 } else if (TFTIntern_GetDisplayRotation() == _TFT_INTERN_ROTATE_180) {
 x_cord = TFTIntern_DisplayWidth - 1 - _x;
 y_cord = TFTIntern_DisplayHeight - 1 - _y;
 }

 return (TFTIntern_DisplayWidth * (unsigned long)y_cord) + x_cord;
}
#line 254 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
char Init_FAT(){
char FAT_cnt = 0;
 if (MMC_Card_Detect == 0){
 if (Fat_Initialized_Flag == 0){
 SPI0_Init_Advanced(1000000, _SPI_MASTER, _SPI_8_BIT | _SPI_CLK_IDLE_LOW | _SPI_FIRST_CLK_EDGE_TRANSITION, &_GPIO_MODULE_SPI0_A245_AHB);
 while ((Fat32_Init() != 0) && (FAT_cnt < 5))
 Fat_cnt ++;
 if (FAT_cnt < 5){
 SPI0_Init_Advanced(20000000, _SPI_MASTER, _SPI_8_BIT | _SPI_CLK_IDLE_LOW | _SPI_FIRST_CLK_EDGE_TRANSITION, &_GPIO_MODULE_SPI0_A245_AHB);
 Fat_Initialized_Flag = 1;
 }
 }
 if ((Ext_res_initialized == 0) && (Fat_Initialized_Flag == 1)){
 TFTIntern_Set_Ext_Buffer(MyTFT_Get_Data);
 Ext_fhandle = FAT32_Open("Res_reso.RES", 1);
 rfStartSect = FAT32_ClustToSect(fat32_fdesc[Ext_fhandle]._1stClust);
 if (Ext_fhandle != 0xFF)
 Ext_res_initialized = 1;
 }
 }
 SPI0_Init_Advanced(20000000, _SPI_MASTER, _SPI_8_BIT | _SPI_CLK_IDLE_LOW | _SPI_FIRST_CLK_EDGE_TRANSITION, &_GPIO_MODULE_SPI0_A245_AHB);
 SPI_Set_Active(SPI1_Read, SPI1_Write);
 return Ext_res_initialized;
}
#line 286 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
void RedrawLabel(unsigned int BackGround_Color, Tlabel *Label, unsigned int Xoffset, unsigned int Yoffset){
 TFTIntern_Set_Brush(1, BackGround_Color, 0, 0, 0, 0);
 TFTIntern_Set_Pen(BackGround_Color, 0);
 TFTIntern_Rectangle(label->Left, Label->Top, label->Left + Xoffset, Label->Top + Yoffset);
 DrawLabel(Label);
}
#line 300 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
void BLED_Fade_Out(){
 signed short i;

 i = 127;
 while (i > 0){
 PWM_T5CCP0_Set_Duty((BackLight_PWM_period / 128) * i, _PWM_INVERTED_DISABLE);
 i -= 2;
 Delay_ms(1);
 }
 PWM_T5CCP0_Set_Duty(1, _PWM_INVERTED_DISABLE);
}
#line 319 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Init_routines.c"
void BLED_Fade_In(){
 signed short i;

 i = 1;
 while (i < 124){
 PWM_T5CCP0_Set_Duty((BackLight_PWM_period / 128) * i, _PWM_INVERTED_DISABLE);
 i += 2;
 Delay_ms(1);
 }
 PWM_T5CCP0_Set_Duty(BackLight_PWM_period, _PWM_INVERTED_DISABLE);
}
