//******************************************************************************
// hardware definitions
//******************************************************************************
// RGB Leds
extern sfr sbit LED_R;
extern sfr sbit LED_G;
extern sfr sbit LED_B;
extern sfr sbit LED_R_Direction;
extern sfr sbit LED_G_Direction;
extern sfr sbit LED_B_Direction;

// MMC Connections
extern sfr sbit Mmc_Chip_Select;
extern sfr sbit MMC_Card_Detect;
extern sfr sbit Mmc_Chip_Select_Direction;
extern sfr sbit MMC_Card_Detect_Direction;

// MP3 Codec Connections
extern sfr sbit MP3_CS;
extern sfr sbit MP3_RST;
extern sfr sbit BSYNC;
extern sfr sbit DREQ;
extern sfr sbit MP3_CS_Direction;
extern sfr sbit MP3_RST_Direction;
extern sfr sbit BSYNC_Direction;
extern sfr sbit DREQ_Direction;

// nRF24L01+ connections
extern sfr sbit nRF_CS;
extern sfr sbit nRF_CE;
extern sfr sbit nRF_IRQ;
extern sfr sbit nRF_CS_Direction;
extern sfr sbit nRF_CE_Direction;
extern sfr sbit nRF_IRQ_Direction;

// BackLight LED
extern sfr sbit BackLight_LED;
extern sfr sbit BackLight_LED_Direction;

// Power Management pin declarations
extern sfr sbit USB_VBUS;
extern sfr sbit DC_VBUS;
extern sfr sbit BAT_STAT1;
extern sfr sbit BAT_STAT2;
extern sfr sbit USB_VBUS_Direction;
extern sfr sbit DC_VBUS_Direction;
extern sfr sbit BAT_STAT1_Direction;
extern sfr sbit BAT_STAT2_Direction;

// WiFi connections
extern sfr sbit Net_Wireless_CC3000_CS;
extern sfr sbit Net_Wireless_CC3000_Int;
extern sfr sbit Net_Wireless_CC3000_En;

extern sfr sbit Net_Wireless_CC3000_CS_Direction;
extern sfr sbit Net_Wireless_CC3000_Int_Direction;
extern sfr sbit Net_Wireless_CC3000_En_Direction;

// USB Host
extern sfr sbit PSW;

// external resources
extern const unsigned long mikroProg_for_tiva_bmp;
extern const unsigned long arm_compilers_bmp;
extern const unsigned long clicks_bmp;
extern const unsigned long easymxprov7_bmp;
extern const unsigned long mikromedia5_for_tiva_bmp;
extern const unsigned long mikromediaplus_stellaris_bmp;
extern const unsigned long mp3_note_bmp;
extern const unsigned long mp3_player_note_bmp;
extern const unsigned long game_table_bmp;
extern const unsigned long rgb_bitmap_bmp;

extern unsigned long BackLight_PWM_period;
extern unsigned int  *My_MemoryStartPtr;

// functions
void RedrawLabel(unsigned int BackGround_Color, Tlabel *Label, unsigned int Xoffset, unsigned int Yoffset);
unsigned long Get_Cursor_Offset(unsigned int _x, unsigned int _y);
void Init_GPIO();
char CopyImage_FromResources_ToSRAM(unsigned long offset, unsigned int *SRAMStartPtr);
char Init_FAT();
char* MyTFT_Get_Data(unsigned long fPos, unsigned long bytesToGet, unsigned long *pBytesGot);
void BLED_Fade_In();
void BLED_Fade_Out();