#line 1 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
#line 1 "c:/c4w/mikroc pro for arm/include/built_in.h"
#line 16 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
extern sfr sbit Mmc_Chip_Select;
extern sfr sbit MP3_CS;
extern sfr sbit MP3_RST;
extern sfr sbit BSYNC;
extern sfr sbit DREQ;


static const char WRITE_CODE = 0x02;
static const char READ_CODE = 0x03;

static const char SCI_BASE_ADDR = 0x00;
static const char SCI_MODE_ADDR = 0x00;
static const char SCI_STATUS_ADDR = 0x01;
static const char SCI_BASS_ADDR = 0x02;
static const char SCI_CLOCKF_ADDR = 0x03;
static const char SCI_DECODE_TIME_ADDR = 0x04;
static const char SCI_AUDATA_ADDR = 0x05;
static const char SCI_WRAM_ADDR = 0x06;
static const char SCI_WRAMADDR_ADDR = 0x07;
static const char SCI_HDAT0_ADDR = 0x08;
static const char SCI_HDAT1_ADDR = 0x09;
static const char SCI_AIADDR_ADDR = 0x0A;
static const char SCI_VOL_ADDR = 0x0B;
static const char SCI_AICTRL0_ADDR = 0x0C;
static const char SCI_AICTRL1_ADDR = 0x0D;
static const char SCI_AICTRL2_ADDR = 0x0E;
static const char SCI_AICTRL3_ADDR = 0x0F;
#line 51 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
static void MP3_SCI_Write(char address, unsigned int data_in) {
 BSYNC = 1;

 MP3_CS = 0;
 SPI0_Write(WRITE_CODE);
 SPI0_Write(address);
 SPI0_Write( ((char *)&data_in)[1] );
 SPI0_Write( ((char *)&data_in)[0] );
 MP3_CS = 1;
 while (DREQ == 0);
}
#line 70 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
static void MP3_SCI_Read(char start_address, char words_count, unsigned int *data_buffer) {
 unsigned int temp;

 MP3_CS = 0;
 SPI0_Write(READ_CODE);
 SPI0_Write(start_address);

 while (words_count--) {
 temp = SPI0_Read(0);
 temp <<= 8;
 temp += SPI0_Read(0);
 *(data_buffer++) = temp;
 }
 MP3_CS = 1;
 while (DREQ == 0);
}
#line 94 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
void MP3_SDI_Write(char data_) {

 MP3_CS = 1;
 BSYNC = 0;

 while (DREQ == 0);

 SPI0_Write(data_);
 BSYNC = 1;
}
#line 112 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
void MP3_Reset_Time(){
 MP3_SCI_Write(SCI_DECODE_TIME_ADDR, 0);
}
#line 123 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
void MP3_Get_Decode_Time(unsigned int *time){
 MP3_SCI_Read(SCI_DECODE_TIME_ADDR, 1, time);
}
#line 134 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
void MP3_SDI_Write_32(char *data_) {
 char i;

 MP3_CS = 1;
 BSYNC = 0;

 while (DREQ == 0);

 for (i=0; i<32; i++)
 SPI0_Write(data_[i]);
 BSYNC = 1;
}
#line 154 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
void MP3_Set_Volume(char left, char right) {
 unsigned int volume;

 volume = (left<<8) + right;
 MP3_SCI_Write(SCI_VOL_ADDR, volume);
}
#line 168 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/MP3_driver.c"
void MP3_Set_default_Mode(){
 BSYNC = 1;
 MP3_CS = 1;


 MP3_RST = 0;
 Delay_ms(10);
 MP3_RST = 1;

 while (DREQ == 0);

 MP3_SCI_Write(SCI_MODE_ADDR, 0x0800);
 MP3_SCI_Write(SCI_BASS_ADDR, 0x7A00);
 MP3_SCI_Write(SCI_CLOCKF_ADDR, 0xC000);
}
