#line 1 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/mikromedia_5_tiva_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct {
 unsigned long config;
 unsigned int displayWidth;
 unsigned int displayHeight;
 unsigned int horizontalFrontPorch;
 unsigned int horizontalBackPorch;
 unsigned int horizontalSyncWidth;
 unsigned short verticalFrontPorch;
 unsigned short verticalBackPorch;
 unsigned short verticalSyncWidth;
 unsigned short biasLineCount;
} TLCDRasterTiming;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Image {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const char *Picture_Name;
 char Visible;
 char Active;
 char Picture_Type;
 char Picture_Ratio;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TImage;

typedef struct Circle {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Radius;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCircle;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

typedef struct Line {
 TScreen* OwnerScreen;
 char Order;
 unsigned int First_Point_X;
 unsigned int First_Point_Y;
 unsigned int Second_Point_X;
 unsigned int Second_Point_Y;
 char Pen_Width;
 char Visible;
 unsigned int Color;
} TLine;

typedef struct CheckBox {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Checked;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Rounded;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCheckBox;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int ImagesCount;
 TImage * const code *Images;
 unsigned int CirclesCount;
 TCircle * const code *Circles;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
 unsigned int LinesCount;
 TLine * const code *Lines;
 unsigned int CheckBoxesCount;
 TCheckBox * const code *CheckBoxes;
};

extern TScreen Home;
extern TImage Image1;
extern TImage Image3;
extern TLabel Label5;
extern TLabel Label7;
extern TLabel Label8;
extern TImage Image6;
extern TLabel Label14;
extern TImage Image10;
extern TLabel Label19;
extern TImage Image9;
extern TLabel Label20;
extern TImage Image16;
extern TLabel Label25;
extern TImage Image24;
extern TLabel Label30;
extern TImage Image18;
extern TLabel Label34;
extern TImage TicTacToe;
extern TLabel Label40;
extern TImage BatteryStatus;
extern TLabel Label44;
extern TLabel Label45;
extern TLabel * const code Screen1_Labels[12];
extern TImage * const code Screen1_Images[10];

extern TScreen Accelerometer;
extern TBox Box23;
extern TBox Box1;
extern TImage Image2;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel * const code Screen2_Labels[4];
extern TImage * const code Screen2_Images[1];
extern TBox * const code Screen2_Boxes[2];

extern TScreen RGBLight;
extern TBox Box22;
extern TLabel Label9;
extern TImage Image5;
extern TLabel Label10;
extern TCircle Circle1;
extern TLabel Label11;
extern TLabel Label12;
extern TLabel Label13;
extern TBox RGB_Active_area;
extern TLabel * const code Screen3_Labels[5];
extern TImage * const code Screen3_Images[1];
extern TCircle * const code Screen3_Circles[1];
extern TBox * const code Screen3_Boxes[2];

extern TScreen Clock;
extern TBox Box13;
extern TBox Box16;
extern TBox Box15;
extern TBox Box12;
extern TLabel Label15;
extern TBox Box2;
extern TBox Box3;
extern TLabel Label16;
extern TImage ClockBack;
extern TLabel Label17;
extern TLabel Label18;
extern TImage SyncIcon;
extern TImage Image8;
extern TBox Box4;
extern TBox Box5;
extern TImage Image7;
extern TLabel Label42;
extern TImage Image17;
extern TBox Box14;
extern TLabel * const code Screen4_Labels[5];
extern TImage * const code Screen4_Images[5];
extern TBox * const code Screen4_Boxes[9];

extern TScreen Sensors;
extern TBox Diagram5_Box1;
extern TBox Box21;
extern TImage TempIcon;
extern TImage LightIcon;
extern TLabel Diagram5_Label1;
extern TLabel Diagram5_Label2;
extern TLabel Diagram5_Label3;
extern TLabel Diagram5_Label4;
extern TLabel Diagram5_Label5;
extern TImage BackIconSensors;
extern TLabel Diagram5_Label6;
extern TLabel Label21;
extern TLabel * const code Screen5_Labels[7];
extern TImage * const code Screen5_Images[3];
extern TBox * const code Screen5_Boxes[2];

extern TScreen MP3_SD;
extern TBox Box20;
extern TLabel Label22;
extern TLabel Label23;
extern TImage Image11;
extern TImage Image12;
extern TImage Image13;
extern TImage Image14;
extern TImage mp3_back_icon;
extern TLabel * const code Screen6_Labels[2];
extern TImage * const code Screen6_Images[5];
extern TBox * const code Screen6_Boxes[1];

extern TScreen MP3_SongList;
extern TBox Box19;
extern TBox Box6;
extern TLabel Label24;
extern TImage mp3_back_icon2;
extern TLabel Label26;
extern TImage folder_icon;
extern TImage file_icon;
extern TLabel * const code Screen7_Labels[2];
extern TImage * const code Screen7_Images[3];
extern TBox * const code Screen7_Boxes[2];

extern TScreen MP3_Player;
extern TBox Box17;
extern TLabel Label27;
extern TImage Icon_back_mp3;
extern TBox VolmeBar;
extern TImage Image15;
extern TBox ProgressBar;
extern TLabel Label28;
extern TImage previous_icon;
extern TImage pause_icon;
extern TImage Play_icon;
extern TImage stop_icon;
extern TImage next_icon;
extern TImage songlist_icon;
extern TLabel Label6;
extern TLabel * const code Screen8_Labels[3];
extern TImage * const code Screen8_Images[8];
extern TBox * const code Screen8_Boxes[3];

extern TScreen Paint;
extern TBox Box18;
extern TImage Image4;
extern TImage NewScreen;
extern TImage Image25;
extern TImage Pen;
extern TImage Image27;
extern TImage Eraser;
extern TImage Image29;
extern TBox DrawingArea;
extern TImage icon_paint_back;
extern TLabel Label29;
extern TBox Color01;
extern TBox Color02;
extern TBox Color03;
extern TBox Color04;
extern TBox Color05;
extern TBox Color06;
extern TBox Color07;
extern TBox Color08;
extern TBox Color09;
extern TBox Color10;
extern TBox Color11;
extern TBox Color12;
extern TBox Color13;
extern TBox Color14;
extern TBox Color15;
extern TBox Color16;
extern TBox Color17;
extern TBox Color18;
extern TBox Color19;
extern TBox Color20;
extern TBox Color21;
extern TBox Color22;
extern TBox Color23;
extern TBox Color24;
extern TBox Color25;
extern TBox Color26;
extern TBox Color27;
extern TBox Color28;
extern TBox Color29;
extern TBox Color30;
extern TImage BackGroundColor;
extern TBox Pen1;
extern TBox Pen2;
extern TBox Pen3;
extern TLabel * const code Screen9_Labels[1];
extern TImage * const code Screen9_Images[9];
extern TBox * const code Screen9_Boxes[35];

extern TScreen SlideShow;
extern TBox Slide_Active_area;
extern TBox Box7;
extern TBox icon_previous_box;
extern TBox Icon_next_box;
extern TLabel Label31;
extern TImage back_slide_show;
extern TLabel Label32;
extern TLabel Label33;
extern TImage icon_previous;
extern TImage Icon_next;
extern TLabel Label35;
extern TLabel * const code Screen10_Labels[4];
extern TImage * const code Screen10_Images[3];
extern TBox * const code Screen10_Boxes[4];

extern TScreen Tic_Tac_Toe;
extern TBox Box8;
extern TBox Box10;
extern TBox Box11;
extern TBox Box9;
extern TButton Button9;
extern TButton Button8;
extern TButton Button7;
extern TButton Button6;
extern TButton Button5;
extern TButton Button4;
extern TButton Button3;
extern TButton Button2;
extern TButton Button1;
extern TLabel Label36;
extern TImage Image20;
extern TLabel Label37;
extern TImage Image21;
extern TLabel Label38;
extern TLabel Label39;
extern TLabel XO1;
extern TLabel XO2;
extern TLabel XO3;
extern TLabel XO4;
extern TLabel XO5;
extern TLabel XO6;
extern TLabel XO7;
extern TLabel XO8;
extern TLabel XO9;
extern TCheckBox CheckBox1;
extern TLabel Label41;
extern TButton * const code Screen11_Buttons[9];
extern TLabel * const code Screen11_Labels[14];
extern TImage * const code Screen11_Images[2];
extern TBox * const code Screen11_Boxes[4];
extern TCheckBox * const code Screen11_CheckBoxes[1];

extern TScreen Loading;
extern TLabel Label46;
extern TLine Line1;
extern TImage Image22;
extern TLabel * const code Screen12_Labels[1];
extern TImage * const code Screen12_Images[1];
extern TLine * const code Screen12_Lines[1];




void BackGroundColorOnPress();
void BackIconSensorsOnPress();
void Box10OnClick();
void Box11OnPress();
void Box12OnClick();
void Box12OnPress();
void Box13OnClick();
void Box14OnPress();
void Box2OnPress();
void Box3OnPress();
void Box4OnPress();
void Box5OnPress();
void Box6OnClick();
void Box6OnPress();
void Box7OnDown();
void Box9OnPress();
void Button1OnClick();
void Button2OnClick();
void Button3OnClick();
void Button4OnClick();
void Button5OnClick();
void Button6OnClick();
void Button7OnClick();
void Button8OnClick();
void Button9OnClick();
void CheckBox1OnClick();
void ClockBackOnPress();
void Color01OnPress();
void Color02OnPress();
void Color03OnPress();
void Color04OnPress();
void Color05OnPress();
void Color06OnPress();
void Color07OnPress();
void Color08OnPress();
void Color09OnPress();
void Color10OnPress();
void Color11OnPress();
void Color12OnPress();
void Color13OnPress();
void Color14OnPress();
void Color15OnPress();
void Color16OnPress();
void Color17OnPress();
void Color18OnPress();
void Color19OnPress();
void Color20OnPress();
void Color21OnPress();
void Color22OnPress();
void Color23OnPress();
void Color24OnPress();
void Color25OnPress();
void Color26OnPress();
void Color27OnPress();
void Color28OnPress();
void Color29OnPress();
void Color30OnPress();
void DrawingAreaOnPress();
void EraserOnPress();
void Icon_back_mp3OnClick();
void Icon_next_boxOnPress();
void icon_paint_backOnPress();
void icon_previous_boxOnPress();
void Image15OnPress();
void Image16OnClick();
void Image18OnClick();
void Image1OnPress();
void Image22OnClick();
void Image24OnPress();
void Image2OnPress();
void Image3OnPress();
void Image4OnPress();
void Image5OnPress();
void Image6OnClick();
void Image8OnPress();
void Image9OnPress();
void Label22OnPress();
void Label24OnPress();
void Label27OnPress();
void mp3_back_iconOnPress();
void NewScreenOnPress();
void next_iconOnDown();
void pause_iconOnPress();
void Pen1OnPress();
void Pen2OnPress();
void Pen3OnPress();
void PenOnPress();
void Play_iconOnDown();
void previous_iconOnDown();
void ProgreesBarOnPress();
void RGB_Active_areaOnPress();
void Slide_Active_areaOnPress();
void songlist_iconOnPress();
void stop_iconOnDown();
void VolmeBarOnPress();




extern char Image1_Caption[];
extern char Image3_Caption[];
extern char Label5_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char Image6_Caption[];
extern char Label14_Caption[];
extern char Image10_Caption[];
extern char Label19_Caption[];
extern char Image9_Caption[];
extern char Label20_Caption[];
extern char Image16_Caption[];
extern char Label25_Caption[];
extern char Image24_Caption[];
extern char Label30_Caption[];
extern char Image18_Caption[];
extern char Label34_Caption[];
extern char TicTacToe_Caption[];
extern char Label40_Caption[];
extern char BatteryStatus_Caption[];
extern char Label44_Caption[];
extern char Label45_Caption[];
extern char Box23_Caption[];
extern char Box1_Caption[];
extern char Image2_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Box22_Caption[];
extern char Label9_Caption[];
extern char Image5_Caption[];
extern char Label10_Caption[];
extern char Circle1_Caption[];
extern char Label11_Caption[];
extern char Label12_Caption[];
extern char Label13_Caption[];
extern char RGB_Active_area_Caption[];
extern char Box13_Caption[];
extern char Box16_Caption[];
extern char Box15_Caption[];
extern char Box12_Caption[];
extern char Label15_Caption[];
extern char Box2_Caption[];
extern char Box3_Caption[];
extern char Label16_Caption[];
extern char ClockBack_Caption[];
extern char Label17_Caption[];
extern char Label18_Caption[];
extern char SyncIcon_Caption[];
extern char Image8_Caption[];
extern char Box4_Caption[];
extern char Box5_Caption[];
extern char Image7_Caption[];
extern char Label42_Caption[];
extern char Image17_Caption[];
extern char Box14_Caption[];
extern char Diagram5_Box1_Caption[];
extern char Box21_Caption[];
extern char TempIcon_Caption[];
extern char LightIcon_Caption[];
extern char Diagram5_Label1_Caption[];
extern char Diagram5_Label2_Caption[];
extern char Diagram5_Label3_Caption[];
extern char Diagram5_Label4_Caption[];
extern char Diagram5_Label5_Caption[];
extern char BackIconSensors_Caption[];
extern char Diagram5_Label6_Caption[];
extern char Label21_Caption[];
extern char Box20_Caption[];
extern char Label22_Caption[];
extern char Label23_Caption[];
extern char Image11_Caption[];
extern char Image12_Caption[];
extern char Image13_Caption[];
extern char Image14_Caption[];
extern char mp3_back_icon_Caption[];
extern char Box19_Caption[];
extern char Box6_Caption[];
extern char Label24_Caption[];
extern char mp3_back_icon2_Caption[];
extern char Label26_Caption[];
extern char folder_icon_Caption[];
extern char file_icon_Caption[];
extern char Box17_Caption[];
extern char Label27_Caption[];
extern char Icon_back_mp3_Caption[];
extern char VolmeBar_Caption[];
extern char Image15_Caption[];
extern char ProgressBar_Caption[];
extern char Label28_Caption[];
extern char previous_icon_Caption[];
extern char pause_icon_Caption[];
extern char Play_icon_Caption[];
extern char stop_icon_Caption[];
extern char next_icon_Caption[];
extern char songlist_icon_Caption[];
extern char Label6_Caption[];
extern char Box18_Caption[];
extern char Image4_Caption[];
extern char NewScreen_Caption[];
extern char Image25_Caption[];
extern char Pen_Caption[];
extern char Image27_Caption[];
extern char Eraser_Caption[];
extern char Image29_Caption[];
extern char DrawingArea_Caption[];
extern char icon_paint_back_Caption[];
extern char Label29_Caption[];
extern char Color01_Caption[];
extern char Color02_Caption[];
extern char Color03_Caption[];
extern char Color04_Caption[];
extern char Color05_Caption[];
extern char Color06_Caption[];
extern char Color07_Caption[];
extern char Color08_Caption[];
extern char Color09_Caption[];
extern char Color10_Caption[];
extern char Color11_Caption[];
extern char Color12_Caption[];
extern char Color13_Caption[];
extern char Color14_Caption[];
extern char Color15_Caption[];
extern char Color16_Caption[];
extern char Color17_Caption[];
extern char Color18_Caption[];
extern char Color19_Caption[];
extern char Color20_Caption[];
extern char Color21_Caption[];
extern char Color22_Caption[];
extern char Color23_Caption[];
extern char Color24_Caption[];
extern char Color25_Caption[];
extern char Color26_Caption[];
extern char Color27_Caption[];
extern char Color28_Caption[];
extern char Color29_Caption[];
extern char Color30_Caption[];
extern char BackGroundColor_Caption[];
extern char Pen1_Caption[];
extern char Pen2_Caption[];
extern char Pen3_Caption[];
extern char Slide_Active_area_Caption[];
extern char Box7_Caption[];
extern char icon_previous_box_Caption[];
extern char Icon_next_box_Caption[];
extern char Label31_Caption[];
extern char back_slide_show_Caption[];
extern char Label32_Caption[];
extern char Label33_Caption[];
extern char icon_previous_Caption[];
extern char Icon_next_Caption[];
extern char Label35_Caption[];
extern char Box8_Caption[];
extern char Box10_Caption[];
extern char Box11_Caption[];
extern char Box9_Caption[];
extern char Button9_Caption[];
extern char Button8_Caption[];
extern char Button7_Caption[];
extern char Button6_Caption[];
extern char Button5_Caption[];
extern char Button4_Caption[];
extern char Button3_Caption[];
extern char Button2_Caption[];
extern char Button1_Caption[];
extern char Label36_Caption[];
extern char Image20_Caption[];
extern char Label37_Caption[];
extern char Image21_Caption[];
extern char Label38_Caption[];
extern char Label39_Caption[];
extern char XO1_Caption[];
extern char XO2_Caption[];
extern char XO3_Caption[];
extern char XO4_Caption[];
extern char XO5_Caption[];
extern char XO6_Caption[];
extern char XO7_Caption[];
extern char XO8_Caption[];
extern char XO9_Caption[];
extern char CheckBox1_Caption[];
extern char Label41_Caption[];
extern char Label46_Caption[];
extern char Line1_Caption[];
extern char Image22_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawImage(TImage *AImage);
void DrawCircle(TCircle *ACircle);
void DrawBox(TBox *ABox);
void DrawLine(TLine *Aline);
void DrawCheckBox(TCheckBox *ACheckBox);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/mikromedia_5_tiva_resources.h"
const code char Furro_Script50x64_Regular[];
const code char Furro_Script63x80_Regular[];
const code char Furro_Script75x96_Regular[];
const code char Open_Sans_Light12x18_Regular[];
const code char Open_Sans_Light15x23_Regular[];
const code char Open_Sans_Light21x33_Regular[];
const code char Open_Sans_Light22x33_Bold[];
const code char Open_Sans_Light24x37_Regular[];
const code char Open_Sans_Light30x43_Bold[];
const code char Open_Sans_Light29x45_Regular[];
const code char Open_Sans_Light85x131_Regular[];
const code char Open_Sans62x92_Regular[];
const code char Tahoma21x25_Regular[];
const code char Tahoma11x13_Regular[];
const code char icon_accel_bmp[24206];
const code char icon_rgb_light_bmp[24206];
const code char icon_clock_bmp[24206];
const code char icon_time_bmp[1518];
const code char icon_temp_bmp[24206];
const code char icon_mp3_player_bmp[24206];
const code char icon_paint_bmp[24206];
const code char icon_slide_show_bmp[24206];
const code char icon_tic_tac_toe_bmp[24206];
const code char icon_battery_bmp[2646];
const code char icon_back_accel_bmp[2184];
const code char icon_back_rtc_bmp[2526];
const code char icon_sync_rtc_bmp[2666];
const code char icon_done_rtc_bmp[3040];
const code char stripe_numbers_rtc_bmp[144486];
const code char am_pm_bmp[68736];
const code char icon_temp_sensors_bmp[6480];
const code char icon_light_sensors_bmp[14282];
const code char icon_back_sensors_bmp[2670];
const code char icon_microsd_mp3_bmp[9960];
const code char icon_anim_01_mp3_bmp[2490];
const code char icon_anim_02_mp3_bmp[2490];
const code char icon_anim_03_mp3_bmp[2490];
const code char icon_back_mp3_bmp[2598];
const code char icon_folder_mp3_bmp[1150];
const code char icon_file_mp3_bmp[888];
const code char icon_volume_mp3_bmp[1782];
const code char icon_prev_mp3_bmp[3126];
const code char icon_pause_mp3_bmp[3126];
const code char icon_play_mp3_bmp[3126];
const code char icon_stop_mp3_bmp[3126];
const code char icon_next_mp3_bmp[3126];
const code char icon_playlist_mp3_bmp[3126];
const code char icon_new_screen_selected_bmp[5624];
const code char icon_new_screen_bmp[5624];
const code char icon_brush_selected_bmp[5624];
const code char icon_brush_bmp[5624];
const code char icon_eraser_selected_bmp[5624];
const code char icon_eraser_bmp[5624];
const code char icon_fill_back_selected_bmp[5624];
const code char icon_back_paint_bmp[3126];
const code char icon_fill_back_bmp[5624];
const code char icon_back_slideshow_bmp[2814];
const code char icon_up_slideshow_bmp[1798];
const code char icon_down_slideshow_bmp[1798];
const code char icon_back_tic_tac_toe_bmp[2670];
const code char icon_new_game_tic_tac_toe_bmp[1630];
const code char pointer_bmp[806];
#line 1 "c:/c4w/mikroc pro for arm/include/built_in.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/init_routines.h"




extern sfr sbit LED_R;
extern sfr sbit LED_G;
extern sfr sbit LED_B;
extern sfr sbit LED_R_Direction;
extern sfr sbit LED_G_Direction;
extern sfr sbit LED_B_Direction;


extern sfr sbit Mmc_Chip_Select;
extern sfr sbit MMC_Card_Detect;
extern sfr sbit Mmc_Chip_Select_Direction;
extern sfr sbit MMC_Card_Detect_Direction;


extern sfr sbit MP3_CS;
extern sfr sbit MP3_RST;
extern sfr sbit BSYNC;
extern sfr sbit DREQ;
extern sfr sbit MP3_CS_Direction;
extern sfr sbit MP3_RST_Direction;
extern sfr sbit BSYNC_Direction;
extern sfr sbit DREQ_Direction;


extern sfr sbit nRF_CS;
extern sfr sbit nRF_CE;
extern sfr sbit nRF_IRQ;
extern sfr sbit nRF_CS_Direction;
extern sfr sbit nRF_CE_Direction;
extern sfr sbit nRF_IRQ_Direction;


extern sfr sbit BackLight_LED;
extern sfr sbit BackLight_LED_Direction;


extern sfr sbit USB_VBUS;
extern sfr sbit DC_VBUS;
extern sfr sbit BAT_STAT1;
extern sfr sbit BAT_STAT2;
extern sfr sbit USB_VBUS_Direction;
extern sfr sbit DC_VBUS_Direction;
extern sfr sbit BAT_STAT1_Direction;
extern sfr sbit BAT_STAT2_Direction;


extern sfr sbit Net_Wireless_CC3000_CS;
extern sfr sbit Net_Wireless_CC3000_Int;
extern sfr sbit Net_Wireless_CC3000_En;

extern sfr sbit Net_Wireless_CC3000_CS_Direction;
extern sfr sbit Net_Wireless_CC3000_Int_Direction;
extern sfr sbit Net_Wireless_CC3000_En_Direction;


extern sfr sbit PSW;


extern const unsigned long mikroProg_for_tiva_bmp;
extern const unsigned long arm_compilers_bmp;
extern const unsigned long clicks_bmp;
extern const unsigned long easymxprov7_bmp;
extern const unsigned long mikromedia5_for_tiva_bmp;
extern const unsigned long mikromediaplus_stellaris_bmp;
extern const unsigned long mp3_note_bmp;
extern const unsigned long mp3_player_note_bmp;
extern const unsigned long game_table_bmp;
extern const unsigned long rgb_bitmap_bmp;

extern unsigned long BackLight_PWM_period;
extern unsigned int *My_MemoryStartPtr;


void RedrawLabel(unsigned int BackGround_Color, Tlabel *Label, unsigned int Xoffset, unsigned int Yoffset);
unsigned long Get_Cursor_Offset(unsigned int _x, unsigned int _y);
void Init_GPIO();
char CopyImage_FromResources_ToSRAM(unsigned long offset, unsigned int *SRAMStartPtr);
char Init_FAT();
char* MyTFT_Get_Data(unsigned long fPos, unsigned long bytesToGet, unsigned long *pBytesGot);
void BLED_Fade_In();
void BLED_Fade_Out();
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/hid_mouse.h"
#line 1 "c:/c4w/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 3 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/hid_mouse.h"
extern char My_PenDown;


void HID_Mouse_Start();
void HIDEventHandler(uint8_t event);
void HID_Mouse_Handler();
void MouseReportReceived(uint8_t* reportData);
void MouseInit();
void HID_Mouse_Restore_Buffer();
void HID_Mouse_Restore_Display();
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/mp3_main.h"

extern char MP3_Example_State;
extern char level;
extern char old_level;
extern unsigned int *MP3_Image1_SRAM_ptr;
extern unsigned int *MP3_Image2_SRAM_ptr;
extern char MP3_Image_Loaded;
extern signed short current_file;


void MP3_Start();
void Mp3_Init();
void doMP3();
void StopMP3_File();
void GetNext_mp3_File(char Next_Previous);
void Start_MP3_Player(char *Song_Name, char File_No);
void MP3_play(char *Song_Name, char File_No);
#line 1 "c:/c4w/mikroc pro for arm/packages/fat32 library/uses/__lib_fat32.h"
#line 29 "c:/c4w/mikroc pro for arm/packages/fat32 library/uses/__lib_fat32.h"
typedef unsigned short uint8;
typedef signed short int8;
typedef unsigned int uint16;
typedef signed int int16;
typedef unsigned long uint32;
typedef signed long int32;
typedef unsigned long long uint64;
typedef signed long long int64;

static const uint16 SECTOR_SIZE = 512;









static const uint8
 FILE_READ = 0x01,
 FILE_WRITE = 0x02,
 FILE_APPEND = 0x04;






static const uint8
 ATTR_NONE = 0x00,
 ATTR_READ_ONLY = 0x01,
 ATTR_HIDDEN = 0x02,
 ATTR_SYSTEM = 0x04,
 ATTR_VOLUME_ID = 0x08,
 ATTR_DIRECTORY = 0x10,
 ATTR_ARCHIVE = 0x20,
 ATTR_DEVICE = 0x40,

 ATTR_RESERVED = 0x80;

static const uint8
 ATTR_LONG_NAME = ATTR_READ_ONLY |
 ATTR_HIDDEN |
 ATTR_SYSTEM |
 ATTR_VOLUME_ID;

static const uint8
 ATTR_FILE_MASK = ATTR_READ_ONLY |
 ATTR_HIDDEN |
 ATTR_SYSTEM |
 ATTR_ARCHIVE,

 ATTR_LONG_NAME_MASK = ATTR_READ_ONLY |
 ATTR_HIDDEN |
 ATTR_SYSTEM |
 ATTR_VOLUME_ID |
 ATTR_DIRECTORY |
 ATTR_ARCHIVE;






static const int8



 OK = 0,
 ERROR = -1,
 FOUND = 1,



 E_READ = -1,
 E_WRITE = -2,
 E_INIT_CARD = -3,
 E_BOOT_SIGN = -4,
 E_BOOT_REC = -5,
 E_FILE_SYS_INFO = -6,
 E_DEVICE_SIZE = -7,
 E_FAT_TYPE = -8,



 E_LAST_ENTRY = -10,
 E_FREE_ENTRY = -11,
 E_CLUST_NUM = -12,
 E_NO_SWAP_SPACE = -13,
 E_NO_SPACE = -14,
 E_LAST_CLUST = -15,



 E_DIR_NAME = -20,
 E_ISNT_DIR = -21,
 E_DIR_EXISTS = -22,
 E_DIR_NOTFOUND = -23,
 E_DIR_NOTEMPTY = -24,
 E_DIR_SIZE = -25,



 E_FILE_NAME = -30,
 E_ISNT_FILE = -31,
 E_FILE_EXISTS = -32,
 E_FILE_NOTFOUND = -33,
 E_FILE_NOTEMPTY = -34,
 E_MAX_FILES = -35,
 E_FILE_NOTOPENED = -36,
 E_FILE_EOF = -37,
 E_FILE_READ = -38,
 E_FILE_WRITE = -39,
 E_FILE_HANDLE = -40,
 E_FILE_READ_ONLY = -41,
 E_FILE_OPENED = -42,
 E_NOT_FILE = -43,



 E_TIME_YEAR = -50,
 E_TIME_MONTH = -51,
 E_TIME_DAY = -52,
 E_TIME_HOUR = -53,
 E_TIME_MINUTE = -54,
 E_TIME_SECOND = -55,



 E_NAME_NULL = -60,
 E_CHAR_UNALLOWED = -61,
 E_LFN_ORD = -62,
 E_LFN_CHK = -63,
 E_LFN_ATTR = -64,
 E_LFN_MAX_SINONIM = -65,
 E_NAME_TOLONG = -66,
 E_NAME_EXIST = -67,



 E_PARAM = -80,
 E_REAPCK = -81,
 E_DELETE = -82,
 E_DELETE_NUM = -83,
 E_ATTR = -84;



typedef struct
{
 uint8 State[1];
 uint8 __1[3];
 uint8 Type[1];
 uint8 __2[3];
 uint8 Boot[4];
 uint8 Size[4];
}
FAT32_PART;



typedef struct
{
 uint8 __1[446];
 FAT32_PART Part[4];
 uint8 BootSign[2];
}
FAT32_MBR;



typedef struct
{
 uint8 JmpCode[3];
 uint8 __1[8];
 uint8 BytesPSect[2];
 uint8 SectsPClust[1];
 uint8 Reserved[2];
 uint8 FATCopies[1];
 uint8 RootEntries[2];
 uint8 __2[2];
 uint8 MediaDesc[1];
 uint8 __3[10];
 uint8 Sects[4];
 uint8 SectsPFAT[4];
 uint8 Flags[2];
 uint8 __4[2];
 uint8 RootClust[4];
 uint8 FSISect[2];
 uint8 BootBackup[2];
 uint8 __5[14];
 uint8 ExtSign[1];
 uint8 __6[4];
 uint8 VolName[11];
 uint8 FATName[8];
 uint8 __7[420];
 uint8 BootSign[2];
}
FAT32_BR;



typedef struct
{
 uint8 LeadSig[4];
 uint8 __1[480];
 uint8 StrucSig[4];
 uint8 FreeCount[4];
 uint8 NextFree[4];
 uint8 __2[14];
 uint8 TrailSig[2];
}
FAT32_FSI;


typedef struct
{
 uint8 Entry[4];
}
FAT32_FATENT;



typedef struct
{
 uint8 NameExt[11];
 uint8 Attrib[1];
 uint8 NT[1];
 uint8 __1[1];
 uint8 CTime[2];
 uint8 CDate[2];
 uint8 ATime[2];
 uint8 HiClust[2];
 uint8 MTime[2];
 uint8 MDate[2];
 uint8 LoClust[2];
 uint8 Size[4];
}
FAT32_DIRENT;



typedef struct
{
 uint8 OrdField[1];
 uint8 UC0[2];
 uint8 UC1[2];
 uint8 UC2[2];
 uint8 UC3[2];
 uint8 UC4[2];
 uint8 Attrib[1];
 uint8 __1[1];
 uint8 Checksum[1];
 uint8 UC5[2];
 uint8 UC6[2];
 uint8 UC7[2];
 uint8 UC8[2];
 uint8 UC9[2];
 uint8 UC10[2];
 uint8 __2[2];
 uint8 UC11[2];
 uint8 UC12[2];
}
FAT32_LFNENT;



typedef uint32 __CLUSTER;
typedef uint32 __SECTOR;
typedef uint32 __ENTRY;

typedef int8 __HANDLE;



typedef struct
{
 uint16 Year;
 uint8 Month;
 uint8 Day;
 uint8 Hour;
 uint8 Minute;
 uint8 Second;
}
__TIME;



typedef struct
{
 uint8 State;
 uint8 Type;
 __SECTOR Boot;
 uint32 Size;
}
__PART;



typedef struct
{
 __PART Part[1];
 uint16 BytesPSect;
 uint8 SectsPClust;
 uint16 Reserved;
 uint8 FATCopies;
 uint32 SectsPFAT;
 uint16 Flags;
 __SECTOR FAT;
 __CLUSTER Root;
 uint16 RootEntries;
 __SECTOR Data;
 __SECTOR FSI;
 uint32 ClFreeCount;
 __CLUSTER ClNextFree;
}
__INFO;

typedef struct
{
 char Path[256];
 uint8 Length;
}
__PATH;


typedef struct
{
 char NameExt[255];
 uint8 Attrib;

 uint32 Size;
 __CLUSTER _1stClust;

 __CLUSTER EntryClust;
 __ENTRY Entry;
}
__DIR;


typedef struct
{
 __CLUSTER _1stClust;
 __CLUSTER CurrClust;

 __CLUSTER EntryClust;
 __ENTRY Entry;

 uint32 Cursor;
 uint32 Length;

 uint8 Mode;
 uint8 Attr;
}
__FILE;
#line 389 "c:/c4w/mikroc pro for arm/packages/fat32 library/uses/__lib_fat32.h"
typedef struct
{
 __SECTOR fSectNum;
 char fSect[SECTOR_SIZE];
}
__RAW_SECTOR;


extern const char CRLF_F32[];
extern const uint8 FAT32_MAX_FILES;
extern const uint8 f32_fsi_template[SECTOR_SIZE];
extern const uint8 f32_br_template[SECTOR_SIZE];
extern __FILE fat32_fdesc[];
extern __RAW_SECTOR f32_sector;


extern int8 FAT32_Dev_Init (void);
extern int8 FAT32_Dev_Read_Sector (__SECTOR sc, char* buf);
extern int8 FAT32_Dev_Write_Sector (__SECTOR sc, char* buf);
extern int8 FAT32_Dev_Multi_Read_Stop();
extern int8 FAT32_Dev_Multi_Read_Sector(char* buf);
extern int8 FAT32_Dev_Multi_Read_Start(__SECTOR sc);
extern int8 FAT32_Put_Char (char ch);


int8 FAT32_Init (void);
int8 FAT32_Format (char *devLabel);
int8 FAT32_ScanDisk (uint32 *totClust, uint32 *freeClust, uint32 *badClust);
int8 FAT32_GetFreeSpace(uint32 *freeClusts, uint16 *bytesPerClust);

int8 FAT32_ChangeDir (char *dname);
int8 FAT32_MakeDir (char *dname);
int8 FAT32_Dir (void);
int8 FAT32_FindFirst (__DIR *pDE);
int8 FAT32_FindNext (__DIR *pDE);
int8 FAT32_Delete (char *fn);
int8 FAT32_DeleteRec (char *fn);
int8 FAT32_Exists (char *name);
int8 FAT32_Rename (char *oldName, char *newName);
int8 FAT32_Open (char *fn, uint8 mode);
int8 FAT32_Eof (__HANDLE fHandle);
int8 FAT32_Read (__HANDLE fHandle, char* rdBuf, uint16 len);
int8 FAT32_Write (__HANDLE fHandle, char* wrBuf, uint16 len);
int8 FAT32_Seek (__HANDLE fHandle, uint32 pos);
int8 FAT32_Tell (__HANDLE fHandle, uint32 *pPos);
int8 FAT32_Close (__HANDLE fHandle);
int8 FAT32_Size (char *fname, uint32 *pSize);
int8 FAT32_GetFileHandle(char *fname, __HANDLE *handle);

int8 FAT32_SetTime (__TIME *pTM);
int8 FAT32_IncTime (uint32 Sec);

int8 FAT32_GetCTime (char *fname, __TIME *pTM);
int8 FAT32_GetMTime (char *fname, __TIME *pTM);

int8 FAT32_SetAttr (char *fname, uint8 attr);
int8 FAT32_GetAttr (char *fname, uint8* attr);

int8 FAT32_GetError (void);

int8 FAT32_MakeSwap (char *name, __SECTOR nSc, __CLUSTER *pCl);
int8 FAT32_ReadSwap (__HANDLE fHandle, char* rdBuf, uint16 len);
int8 FAT32_WriteSwap (__HANDLE fHandle, char* wrBuf, uint16 len);
int8 FAT32_SeekSwap (__HANDLE fHandle, uint32 pos);

__CLUSTER FAT32_SectToClust(__SECTOR sc);
__SECTOR FAT32_ClustToSect(__CLUSTER cl);
#line 15 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
extern unsigned int Xcoord, Ycoord;


typedef struct Scroll_List {
 char FileName[13];
 char FileType;
} TScroll_List;

char Total_Entries;
TScroll_List File_List[100];


static __DIR MyDir;
static short MyError;


static const _MP3_IMAGE_VLINE = 50;
static const _MP3_TEXT_VLINE = 80;
static const _MP3_BIGIMAGE_VLINE = 300;
static const _MP3_BACKGOUND_COLOR = 0x2B31;
static const _MP3_FONT_COLOR = CL_WHITE_Intern;
static const _SCROLL_WIDTH = 200;
static const _SCROLL_HEIGHT = 330;
static const _SCROLL_FIRST_LINE = 80;
static const _SCROLL_LAST_LINE = 410;
static const _FONT_HEIGHT = 25;
static const _FONT_VERTICAL_SPACING = 15;

static const char *MP3_Font = Open_Sans_Light21x33_Regular;


static const _UP = 1;
static const _DOWN = 0;

static int _disp_scroll = 80;
static int imageLine;
static int _disp_scroll_rollover = 0;
static char Scroll_text[15];
static char pix_array[480];
static char current_text_column;
static signed int first_window_column = 0;
static signed int last_window_column = 190;
static unsigned int Scroll_total_columns = 350;
static char current_loaded_text = 0;
static unsigned int ScrollOldYcoo;
static char Scroll_Flag = 0;

static unsigned int* Temp_Text_Buffer_ptr = 0x10554000;
static unsigned int* Temp_Scroll_Window_ptr = 0x10564000;

void Stop_Scroll();
void Initialize_Scroll();
#line 75 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void CopyFromBuffer_ToDisplay(){
 unsigned int i, j, *ptr, *ptr2;
 unsigned long offset;

 for (j = 0; j < _SCROLL_HEIGHT - (_disp_scroll - _SCROLL_FIRST_LINE); j ++){
 i = _SCROLL_WIDTH;
 ptr = &TFTIntern_rowData[0];
 ptr2 = Temp_Scroll_Window_ptr + (unsigned long)(j + _disp_scroll - _SCROLL_FIRST_LINE) * _SCROLL_WIDTH;
 while (i --)
 *ptr++ = *ptr2++;
 offset = Get_Cursor_Offset(_MP3_IMAGE_VLINE, j + _SCROLL_FIRST_LINE);
 TFTIntern_Move_Cursor(_MP3_IMAGE_VLINE, j + _SCROLL_FIRST_LINE);
 ptr2 = My_MemoryStartPtr + offset;
 EPI_WorkaroundHWordWriteArrayDec(ptr2, TFTIntern_rowData, _SCROLL_WIDTH);
 }
 for (j = 0; j < _disp_scroll - _SCROLL_FIRST_LINE; j ++){
 i = _SCROLL_WIDTH;
 ptr = &TFTIntern_rowData[0];
 ptr2 = Temp_Scroll_Window_ptr + (unsigned long)(j) * _SCROLL_WIDTH;
 while (i --)
 *ptr++ = *ptr2++;
 offset = Get_Cursor_Offset(_MP3_IMAGE_VLINE, j + _SCROLL_FIRST_LINE + _SCROLL_HEIGHT - (_disp_scroll - _SCROLL_FIRST_LINE));
 TFTIntern_Move_Cursor(_MP3_IMAGE_VLINE, j + _SCROLL_FIRST_LINE + _SCROLL_HEIGHT - (_disp_scroll - _SCROLL_FIRST_LINE));
 ptr2 = My_MemoryStartPtr + offset;
 EPI_WorkaroundHWordWriteArrayDec(ptr2, TFTIntern_rowData, _SCROLL_WIDTH);
 }
}
#line 110 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void CopyFromDisplay_ToBuffer(){
 signed int i, j;
 unsigned *ptr, *ptr2;
 unsigned long offset;

 for (j = _SCROLL_HEIGHT - 0; j >= 0 ; j --){
 i = _SCROLL_WIDTH;
 ptr = &TFTIntern_rowData[0];
 offset = Get_Cursor_Offset(_MP3_IMAGE_VLINE, j + _SCROLL_FIRST_LINE);
 TFTIntern_Move_Cursor(_MP3_IMAGE_VLINE, j + _SCROLL_FIRST_LINE);
 ptr2 = My_MemoryStartPtr + offset;
 while (i --)
 *ptr++ = *ptr2--;
 ptr = Temp_Scroll_Window_ptr + (unsigned long)j * _SCROLL_WIDTH;
 EPI_WorkaroundHWordWriteArrayInc(ptr, TFTIntern_rowData, _SCROLL_WIDTH);
 }
}
#line 135 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void Scroll_Get_Text_Line(unsigned int* StartPtr, char *text, char type){
unsigned int *temp, i;

 i = 24000;
 temp = StartPtr;
 while (i--)
 *temp++ = _MP3_BACKGOUND_COLOR;

 TFTIntern_SetDisplayRotation(_TFT_INTERN_ROTATE_0);
 temp = My_MemoryStartPtr;
 TFTIntern_SetMemoryStartAddr(StartPtr);
 TFTIntern_Set_Font(MP3_Font, _MP3_FONT_COLOR, FO_HORIZONTAL_Intern);
 TFTIntern_Write_Text(text, _MP3_TEXT_VLINE - _MP3_IMAGE_VLINE, 0);

 if (type == 1)
 TFTIntern_Image(0, 0, file_icon.Picture_Name, 1);
 if (type == 2)
 TFTIntern_Image(0, 0, folder_icon.Picture_Name, 1);
 TFTIntern_SetMemoryStartAddr(temp);
 TFTIntern_SetDisplayRotation(_TFT_INTERN_ROTATE_180);
}
#line 164 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static char Scroll_New_Tex_From_List(char text_number, char *Text){
char *ptr, *dptr;
 dptr = Text;
 ptr = File_List[text_number].FIleName;

 while (*dptr++ = *ptr++)
 ;

 return File_List[text_number].FIleType;
}
#line 184 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
char Get_Next_File_Name(signed short number, char *Text){
char temp;
 if ((number > Total_Entries) || (number < 0))
 return 2;
 temp = Scroll_New_Tex_From_List(number, Text);
 if (temp == 1)
 return 1;
 else if (temp == 2)
 return 0;
}
#line 202 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static char Scrool_Get_new_text(char Text_no){
char FType;
 if (current_loaded_text != Text_no){
 current_loaded_text = Text_no;
 FType = Scroll_New_Tex_From_List(Text_no, Scroll_Text);
 Scroll_Get_Text_Line(Temp_Text_Buffer_ptr, Scroll_Text, FType);
 }
 return File_List[Text_no].FileType;
}
#line 219 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void Scroll_Add_One_Line(unsigned int HO_Line, char row){
 unsigned int *ptr_buffer, *ptr_text;
 char i;

 ptr_text = Temp_Text_Buffer_ptr + row * 800;
 ptr_buffer = TFTIntern_rowData;
 i = _SCROLL_WIDTH;
 while (i--)
 *ptr_buffer++ = *ptr_text++;

 ptr_buffer = Temp_Scroll_Window_ptr + (unsigned long)HO_Line * _SCROLL_WIDTH;
 EPI_WorkaroundHWordWriteArrayInc(ptr_buffer, TFTIntern_rowData, _SCROLL_WIDTH);
}
#line 240 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void Scroll_Fill_Area(){
char *ptr, *dptr, i;
unsigned int temp, temp1;
 dptr = Scroll_text;
 i = 0;
 ptr = File_List[i].FileName;


 while (*ptr != 0xFF){
 while(*dptr++ = *ptr++)
 ;
 temp = i * (_FONT_HEIGHT + _FONT_VERTICAL_SPACING);
 ptr = File_List[i+1].FileName;
 if (temp < _SCROLL_LAST_LINE - _SCROLL_FIRST_LINE - _FONT_HEIGHT){
 if (File_List[i].FileType == 1)
 TFTIntern_Image(_MP3_IMAGE_VLINE, _SCROLL_FIRST_LINE + temp, file_icon.Picture_Name, 1);
 if (File_List[i].FileType == 2)
 TFTIntern_Image(_MP3_IMAGE_VLINE, _SCROLL_FIRST_LINE + temp, folder_icon.Picture_Name, 1);
 TFTIntern_Set_Font(MP3_Font, _MP3_FONT_COLOR, FO_HORIZONTAL_Intern);
 TFTIntern_Write_Text(Scroll_text, _MP3_TEXT_VLINE, _SCROLL_FIRST_LINE + temp);
 i ++;
 dptr = Scroll_text;
 temp1 = _SCROLL_FIRST_LINE + temp;
 }
 else{
 i ++;
 dptr = Scroll_text;
 }
 }
 Scroll_total_columns = temp + (_FONT_HEIGHT + _FONT_VERTICAL_SPACING);
 CopyFromDisplay_ToBuffer();


 temp1 = temp1 + _FONT_HEIGHT + _FONT_VERTICAL_SPACING - 1;
 if (temp1 < _SCROLL_LAST_LINE)
 current_text_column = 1;
 if (temp1 <= temp){
 while (temp1 < _SCROLL_LAST_LINE){
 i = Scrool_Get_new_text(last_window_column / (_FONT_HEIGHT + _FONT_VERTICAL_SPACING));

 if (File_List[i].FileType == 1)
 Scroll_Add_One_Line(temp1 - _SCROLL_FIRST_LINE, current_text_column);
 if (File_List[i].FileType == 2)
 Scroll_Add_One_Line(temp1 - _SCROLL_FIRST_LINE, current_text_column);

 current_text_column ++;
 temp1 ++;
 }
 CopyFromBuffer_ToDisplay();
 }
}
#line 299 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void Scroll_Add_newTextLine(char ScrollDiection){
unsigned int temp;
char temp_file_type;

 if (ScrollDiection == 0){
 current_text_column = last_window_column % (_FONT_HEIGHT + _FONT_VERTICAL_SPACING);
 if (current_text_column < _FONT_HEIGHT + 1){
 temp_file_type = Scrool_Get_new_text(last_window_column / (_FONT_HEIGHT + _FONT_VERTICAL_SPACING));

 temp = _disp_scroll - 1;
 if (temp < _SCROLL_FIRST_LINE)
 temp = _SCROLL_LAST_LINE - 1;

 Scroll_Add_One_Line(temp - _SCROLL_FIRST_LINE, current_text_column);
 }
 else {
 temp = _disp_scroll - 1;
 if (temp < _SCROLL_FIRST_LINE)
 temp = _SCROLL_LAST_LINE - 1;
 Scroll_Add_One_Line(temp - _SCROLL_FIRST_LINE, 29);
 }
 }
 else{
 current_text_column = first_window_column % (_FONT_HEIGHT + _FONT_VERTICAL_SPACING);
 if (current_text_column < _FONT_HEIGHT + 1){
 temp_file_type = Scrool_Get_new_text(first_window_column / (_FONT_HEIGHT + _FONT_VERTICAL_SPACING));
 Scroll_Add_One_Line(_disp_scroll - _SCROLL_FIRST_LINE, current_text_column);
 }
 else
 Scroll_Add_One_Line(_disp_scroll - _SCROLL_FIRST_LINE, 29);
 }
}
#line 339 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void Scroll_Menu(char Adir) {

 if (Adir == _Up) {
 if (_disp_scroll != _SCROLL_FIRST_LINE)
 _disp_scroll--;
 else {
 _disp_scroll = _SCROLL_LAST_LINE - 1;
 _disp_scroll_rollover --;
 }
 }
 else {
 if (_disp_scroll != _SCROLL_LAST_LINE - 1)
 _disp_scroll++;
 else {
 _disp_scroll = _SCROLL_FIRST_LINE;
 _disp_scroll_rollover ++;
 }
 }
}
#line 366 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void ScrollUp(int scroll){
 while(scroll--){
 last_window_column --;
 first_window_column --;
 if (first_window_column >= 0){

 Scroll_Menu(_Up);
 Scroll_Add_newTextLine(_Up);
 }
 else {
 last_window_column ++;
 first_window_column ++;
 }
 }
}
#line 389 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void ScrollDown(int scroll){
 while(scroll--){
 last_window_column ++;
 first_window_column ++;
 if (last_window_column < Scroll_total_columns){

 Scroll_Menu(_Down);
 Scroll_Add_newTextLine(_Down);
 }
 else{
 last_window_column --;
 first_window_column --;
 }
 }
}
#line 412 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void Scroll_Disp(unsigned int Apos, char Adir) {
 if (Adir == _Up) {
 ScrollUP(Apos);
 }
 else {
 ScrollDown(Apos);
 }
 CopyFromBuffer_ToDisplay();
}
#line 429 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
void ScrollPress(){
 int delta;
 char dir;

 if (Xcoord > 240){
 if (Scroll_Flag == 0){
 Scroll_Flag = 1;
 ScrollOldYcoo = Ycoord;
 return;
 }
 delta = Ycoord - ScrollOldYcoo;
 if (delta > 0){
 dir = 0;
 }
 if (delta < 0){
 dir = 1;
 delta = - delta;
 }
 if (delta < 3)
 return;
 if (delta > 5)
 delta = 5;

 if (dir == 1)
 Scroll_Disp(delta, _DOWN);
 else
 Scroll_Disp(delta, _UP);

 ScrollOldYcoo = Ycoord;
 }
}
#line 468 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void Process_file(char File_No){
 BLED_Fade_Out();
 Stop_Scroll();
 Start_MP3_Player(File_List[File_No].FileName, File_no);
 BLED_Fade_In();
}
#line 482 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static void Process_folder(char File_No){
 SPI_Set_Active(SPI0_Read, SPI0_Write);
 FAT32_ChangeDir(File_List[File_No].FileName);
 DrawBox(&Box6);
 Initialize_Scroll();
 SPI_Set_Active(SPI1_Read, SPI1_Write);
}
#line 497 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
void ScrollOnClick(){
char temp, file_type;
 if (Xcoord < 241){
 temp = (Ycoord - _SCROLL_FIRST_LINE + _disp_scroll - _SCROLL_FIRST_LINE + _disp_scroll_rollover * (_SCROLL_LAST_LINE - _SCROLL_FIRST_LINE)) / (_FONT_HEIGHT + _FONT_VERTICAL_SPACING);
 file_type = Scrool_Get_new_text(temp);

 if (file_type == 1)
 Process_file(temp);
 if (file_type == 2)
 Process_folder(temp);
 }
}
#line 517 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
static char Fill_List(TScroll_List *List){
char MyError = 1;
char File_List_cnt = 0;

 SPI_Set_Active(SPI0_Read, SPI0_Write);
 memset((char *)List, 0, 100 * (13 + 1));
 FAT32_FindFirst( &MyDir );
 while ((MyError != 0) && (MyError != 0xFF)){
 if ((MyDir.NameExt[0] != 0) && MyError != 0){
 if (MyDir.Attrib & ATTR_FILE_MASK){
 if ((strstr(MyDir.NameExt, ".MP3") != 0) || (strstr(MyDir.NameExt, ".WAV") != 0)){
 strcat(List->FileName, MyDir.NameExt);
 List->FileType = 1;
 File_List_cnt ++;
 List ++;
 }
 }
 else if ((MyDir.Attrib == ATTR_DIRECTORY) && (strcmp(MyDir.NameExt, ".") != 0)){
 strcat(List->FileName, MyDir.NameExt);
 List->FileType = 2;
 File_List_cnt ++;
 List ++;
 }
 }
 MyError = FAT32_FindNext(&MyDir);
 }
 List->FileName[0] = 0xFF;

 SPI_Set_Active(SPI1_Read, SPI1_Write);
 return File_List_cnt;
}
#line 556 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
void Stop_Scroll(){
 _disp_scroll = _SCROLL_FIRST_LINE;
 _disp_scroll_rollover = 0;
 first_window_column = 0;
 last_window_column = _SCROLL_HEIGHT;
}
#line 570 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Scroll_main.c"
void Initialize_Scroll(){
 SPI_Set_Active(SPI0_Read, SPI0_Write);
 Stop_Scroll();
 FAT32_FindFirst(&MyDir);
 Total_Entries = Fill_List(File_List);
 Scroll_Fill_Area();

 TFTIntern_Image(450, 130, MP3_Image1_SRAM_ptr, 1);

 SPI_Set_Active(SPI1_Read, SPI1_Write);
}
