/*******************************************************************************
* Slide Show  - Function Set used for Slide Show
* ------------------------------------------------------------------------------
* Pictures from SD cards are scrolled vertically as slide show
*******************************************************************************/
#include "mikromedia_5_TIVA_objects.h"
#include "Init_routines.h"

// globals

const unsigned *const clicks_bmp_SRAM_ptr                   = 0x101E5000;
const unsigned *const arm_compilers_bmp_SRAM_ptr            = 0x10277800;
const unsigned *const easymxprov7_bmp_SRAM_ptr              = 0x1030A000;
const unsigned *const mikromediaplus_stellaris_bmp_SRAM_ptr = 0x1039C800;
const unsigned *const mikroProg_for_tiva_bmp_SRAM_ptr       = 0x1042F000;
const unsigned *const mikromedia5_for_tiva_bmp_SRAM_ptr     = 0x104C1800;

// array of pictures
unsigned long Slides[6] = {
  clicks_bmp,
  arm_compilers_bmp,
  easymxprov7_bmp,
  mikroProg_for_tiva_bmp,
  mikromediaplus_stellaris_bmp,
  mikromedia5_for_tiva_bmp
};

unsigned *Slides_Address[6] = {
  (unsigned *const) 0x101E5000,
  (unsigned *const) 0x10277800,
  (unsigned *const) 0x1030A000,
  (unsigned *const) 0x1039C800,
  (unsigned *const) 0x1042F000,
  (unsigned *const) 0x104C1800
};

signed short Slide_Index = 0;
char SlideShow_Image_Loaded = 0;

/*******************************************************************************
* Function Slide_DIsplaySlide(signed short number)
* ------------------------------------------------------------------------------
* Overview:  Function displays one picture on TFT
* Input: slide number
* Output: Nothing
*******************************************************************************/
void Slide_DisplaySlide(signed short number){
  TFTIntern_Image(Slide_Active_area.Left, Slide_Active_area.Top, Slides_Address[number], 1);
}

/*******************************************************************************
* Function Start_Slide_Show()
* ------------------------------------------------------------------------------
* Overview:  Function initializes Scroll
* Input: Nothing
* Output: Nothing
*******************************************************************************/
void Start_Slide_Show(){
  
  Slide_Index = 5;
    
  if(Init_FAT()){
    TFTIntern_Image(Slide_Active_area.Left, Slide_Active_area.Top, Slides_Address[5], 1);
  }
}

/*******************************************************************************
* End of File
*******************************************************************************/