#line 1 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/mikromedia_5_tiva_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct {
 unsigned long config;
 unsigned int displayWidth;
 unsigned int displayHeight;
 unsigned int horizontalFrontPorch;
 unsigned int horizontalBackPorch;
 unsigned int horizontalSyncWidth;
 unsigned short verticalFrontPorch;
 unsigned short verticalBackPorch;
 unsigned short verticalSyncWidth;
 unsigned short biasLineCount;
} TLCDRasterTiming;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Image {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const char *Picture_Name;
 char Visible;
 char Active;
 char Picture_Type;
 char Picture_Ratio;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TImage;

typedef struct Circle {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Radius;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCircle;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

typedef struct Line {
 TScreen* OwnerScreen;
 char Order;
 unsigned int First_Point_X;
 unsigned int First_Point_Y;
 unsigned int Second_Point_X;
 unsigned int Second_Point_Y;
 char Pen_Width;
 char Visible;
 unsigned int Color;
} TLine;

typedef struct CheckBox {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Checked;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Rounded;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCheckBox;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int ImagesCount;
 TImage * const code *Images;
 unsigned int CirclesCount;
 TCircle * const code *Circles;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
 unsigned int LinesCount;
 TLine * const code *Lines;
 unsigned int CheckBoxesCount;
 TCheckBox * const code *CheckBoxes;
};

extern TScreen Home;
extern TImage Image1;
extern TImage Image3;
extern TLabel Label5;
extern TLabel Label7;
extern TLabel Label8;
extern TImage Image6;
extern TLabel Label14;
extern TImage Image10;
extern TLabel Label19;
extern TImage Image9;
extern TLabel Label20;
extern TImage Image16;
extern TLabel Label25;
extern TImage Image24;
extern TLabel Label30;
extern TImage Image18;
extern TLabel Label34;
extern TImage TicTacToe;
extern TLabel Label40;
extern TImage BatteryStatus;
extern TLabel Label44;
extern TLabel Label45;
extern TLabel * const code Screen1_Labels[12];
extern TImage * const code Screen1_Images[10];

extern TScreen Accelerometer;
extern TBox Box23;
extern TBox Box1;
extern TImage Image2;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel * const code Screen2_Labels[4];
extern TImage * const code Screen2_Images[1];
extern TBox * const code Screen2_Boxes[2];

extern TScreen RGBLight;
extern TBox Box22;
extern TLabel Label9;
extern TImage Image5;
extern TLabel Label10;
extern TCircle Circle1;
extern TLabel Label11;
extern TLabel Label12;
extern TLabel Label13;
extern TBox RGB_Active_area;
extern TLabel * const code Screen3_Labels[5];
extern TImage * const code Screen3_Images[1];
extern TCircle * const code Screen3_Circles[1];
extern TBox * const code Screen3_Boxes[2];

extern TScreen Clock;
extern TBox Box13;
extern TBox Box16;
extern TBox Box15;
extern TBox Box12;
extern TLabel Label15;
extern TBox Box2;
extern TBox Box3;
extern TLabel Label16;
extern TImage ClockBack;
extern TLabel Label17;
extern TLabel Label18;
extern TImage SyncIcon;
extern TImage Image8;
extern TBox Box4;
extern TBox Box5;
extern TImage Image7;
extern TLabel Label42;
extern TImage Image17;
extern TBox Box14;
extern TLabel * const code Screen4_Labels[5];
extern TImage * const code Screen4_Images[5];
extern TBox * const code Screen4_Boxes[9];

extern TScreen Sensors;
extern TBox Diagram5_Box1;
extern TBox Box21;
extern TImage TempIcon;
extern TImage LightIcon;
extern TLabel Diagram5_Label1;
extern TLabel Diagram5_Label2;
extern TLabel Diagram5_Label3;
extern TLabel Diagram5_Label4;
extern TLabel Diagram5_Label5;
extern TImage BackIconSensors;
extern TLabel Diagram5_Label6;
extern TLabel Label21;
extern TLabel * const code Screen5_Labels[7];
extern TImage * const code Screen5_Images[3];
extern TBox * const code Screen5_Boxes[2];

extern TScreen MP3_SD;
extern TBox Box20;
extern TLabel Label22;
extern TLabel Label23;
extern TImage Image11;
extern TImage Image12;
extern TImage Image13;
extern TImage Image14;
extern TImage mp3_back_icon;
extern TLabel * const code Screen6_Labels[2];
extern TImage * const code Screen6_Images[5];
extern TBox * const code Screen6_Boxes[1];

extern TScreen MP3_SongList;
extern TBox Box19;
extern TBox Box6;
extern TLabel Label24;
extern TImage mp3_back_icon2;
extern TLabel Label26;
extern TImage folder_icon;
extern TImage file_icon;
extern TLabel * const code Screen7_Labels[2];
extern TImage * const code Screen7_Images[3];
extern TBox * const code Screen7_Boxes[2];

extern TScreen MP3_Player;
extern TBox Box17;
extern TLabel Label27;
extern TImage Icon_back_mp3;
extern TBox VolmeBar;
extern TImage Image15;
extern TBox ProgressBar;
extern TLabel Label28;
extern TImage previous_icon;
extern TImage pause_icon;
extern TImage Play_icon;
extern TImage stop_icon;
extern TImage next_icon;
extern TImage songlist_icon;
extern TLabel Label6;
extern TLabel * const code Screen8_Labels[3];
extern TImage * const code Screen8_Images[8];
extern TBox * const code Screen8_Boxes[3];

extern TScreen Paint;
extern TBox Box18;
extern TImage Image4;
extern TImage NewScreen;
extern TImage Image25;
extern TImage Pen;
extern TImage Image27;
extern TImage Eraser;
extern TImage Image29;
extern TBox DrawingArea;
extern TImage icon_paint_back;
extern TLabel Label29;
extern TBox Color01;
extern TBox Color02;
extern TBox Color03;
extern TBox Color04;
extern TBox Color05;
extern TBox Color06;
extern TBox Color07;
extern TBox Color08;
extern TBox Color09;
extern TBox Color10;
extern TBox Color11;
extern TBox Color12;
extern TBox Color13;
extern TBox Color14;
extern TBox Color15;
extern TBox Color16;
extern TBox Color17;
extern TBox Color18;
extern TBox Color19;
extern TBox Color20;
extern TBox Color21;
extern TBox Color22;
extern TBox Color23;
extern TBox Color24;
extern TBox Color25;
extern TBox Color26;
extern TBox Color27;
extern TBox Color28;
extern TBox Color29;
extern TBox Color30;
extern TImage BackGroundColor;
extern TBox Pen1;
extern TBox Pen2;
extern TBox Pen3;
extern TLabel * const code Screen9_Labels[1];
extern TImage * const code Screen9_Images[9];
extern TBox * const code Screen9_Boxes[35];

extern TScreen SlideShow;
extern TBox Slide_Active_area;
extern TBox Box7;
extern TBox icon_previous_box;
extern TBox Icon_next_box;
extern TLabel Label31;
extern TImage back_slide_show;
extern TLabel Label32;
extern TLabel Label33;
extern TImage icon_previous;
extern TImage Icon_next;
extern TLabel Label35;
extern TLabel * const code Screen10_Labels[4];
extern TImage * const code Screen10_Images[3];
extern TBox * const code Screen10_Boxes[4];

extern TScreen Tic_Tac_Toe;
extern TBox Box8;
extern TBox Box10;
extern TBox Box11;
extern TBox Box9;
extern TButton Button9;
extern TButton Button8;
extern TButton Button7;
extern TButton Button6;
extern TButton Button5;
extern TButton Button4;
extern TButton Button3;
extern TButton Button2;
extern TButton Button1;
extern TLabel Label36;
extern TImage Image20;
extern TLabel Label37;
extern TImage Image21;
extern TLabel Label38;
extern TLabel Label39;
extern TLabel XO1;
extern TLabel XO2;
extern TLabel XO3;
extern TLabel XO4;
extern TLabel XO5;
extern TLabel XO6;
extern TLabel XO7;
extern TLabel XO8;
extern TLabel XO9;
extern TCheckBox CheckBox1;
extern TLabel Label41;
extern TButton * const code Screen11_Buttons[9];
extern TLabel * const code Screen11_Labels[14];
extern TImage * const code Screen11_Images[2];
extern TBox * const code Screen11_Boxes[4];
extern TCheckBox * const code Screen11_CheckBoxes[1];

extern TScreen Loading;
extern TLabel Label46;
extern TLine Line1;
extern TImage Image22;
extern TLabel * const code Screen12_Labels[1];
extern TImage * const code Screen12_Images[1];
extern TLine * const code Screen12_Lines[1];




void BackGroundColorOnPress();
void BackIconSensorsOnPress();
void Box10OnClick();
void Box11OnPress();
void Box12OnClick();
void Box12OnPress();
void Box13OnClick();
void Box14OnPress();
void Box2OnPress();
void Box3OnPress();
void Box4OnPress();
void Box5OnPress();
void Box6OnClick();
void Box6OnPress();
void Box7OnDown();
void Box9OnPress();
void Button1OnClick();
void Button2OnClick();
void Button3OnClick();
void Button4OnClick();
void Button5OnClick();
void Button6OnClick();
void Button7OnClick();
void Button8OnClick();
void Button9OnClick();
void CheckBox1OnClick();
void ClockBackOnPress();
void Color01OnPress();
void Color02OnPress();
void Color03OnPress();
void Color04OnPress();
void Color05OnPress();
void Color06OnPress();
void Color07OnPress();
void Color08OnPress();
void Color09OnPress();
void Color10OnPress();
void Color11OnPress();
void Color12OnPress();
void Color13OnPress();
void Color14OnPress();
void Color15OnPress();
void Color16OnPress();
void Color17OnPress();
void Color18OnPress();
void Color19OnPress();
void Color20OnPress();
void Color21OnPress();
void Color22OnPress();
void Color23OnPress();
void Color24OnPress();
void Color25OnPress();
void Color26OnPress();
void Color27OnPress();
void Color28OnPress();
void Color29OnPress();
void Color30OnPress();
void DrawingAreaOnPress();
void EraserOnPress();
void Icon_back_mp3OnClick();
void Icon_next_boxOnPress();
void icon_paint_backOnPress();
void icon_previous_boxOnPress();
void Image15OnPress();
void Image16OnClick();
void Image18OnClick();
void Image1OnPress();
void Image22OnClick();
void Image24OnPress();
void Image2OnPress();
void Image3OnPress();
void Image4OnPress();
void Image5OnPress();
void Image6OnClick();
void Image8OnPress();
void Image9OnPress();
void Label22OnPress();
void Label24OnPress();
void Label27OnPress();
void mp3_back_iconOnPress();
void NewScreenOnPress();
void next_iconOnDown();
void pause_iconOnPress();
void Pen1OnPress();
void Pen2OnPress();
void Pen3OnPress();
void PenOnPress();
void Play_iconOnDown();
void previous_iconOnDown();
void ProgreesBarOnPress();
void RGB_Active_areaOnPress();
void Slide_Active_areaOnPress();
void songlist_iconOnPress();
void stop_iconOnDown();
void VolmeBarOnPress();




extern char Image1_Caption[];
extern char Image3_Caption[];
extern char Label5_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char Image6_Caption[];
extern char Label14_Caption[];
extern char Image10_Caption[];
extern char Label19_Caption[];
extern char Image9_Caption[];
extern char Label20_Caption[];
extern char Image16_Caption[];
extern char Label25_Caption[];
extern char Image24_Caption[];
extern char Label30_Caption[];
extern char Image18_Caption[];
extern char Label34_Caption[];
extern char TicTacToe_Caption[];
extern char Label40_Caption[];
extern char BatteryStatus_Caption[];
extern char Label44_Caption[];
extern char Label45_Caption[];
extern char Box23_Caption[];
extern char Box1_Caption[];
extern char Image2_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Box22_Caption[];
extern char Label9_Caption[];
extern char Image5_Caption[];
extern char Label10_Caption[];
extern char Circle1_Caption[];
extern char Label11_Caption[];
extern char Label12_Caption[];
extern char Label13_Caption[];
extern char RGB_Active_area_Caption[];
extern char Box13_Caption[];
extern char Box16_Caption[];
extern char Box15_Caption[];
extern char Box12_Caption[];
extern char Label15_Caption[];
extern char Box2_Caption[];
extern char Box3_Caption[];
extern char Label16_Caption[];
extern char ClockBack_Caption[];
extern char Label17_Caption[];
extern char Label18_Caption[];
extern char SyncIcon_Caption[];
extern char Image8_Caption[];
extern char Box4_Caption[];
extern char Box5_Caption[];
extern char Image7_Caption[];
extern char Label42_Caption[];
extern char Image17_Caption[];
extern char Box14_Caption[];
extern char Diagram5_Box1_Caption[];
extern char Box21_Caption[];
extern char TempIcon_Caption[];
extern char LightIcon_Caption[];
extern char Diagram5_Label1_Caption[];
extern char Diagram5_Label2_Caption[];
extern char Diagram5_Label3_Caption[];
extern char Diagram5_Label4_Caption[];
extern char Diagram5_Label5_Caption[];
extern char BackIconSensors_Caption[];
extern char Diagram5_Label6_Caption[];
extern char Label21_Caption[];
extern char Box20_Caption[];
extern char Label22_Caption[];
extern char Label23_Caption[];
extern char Image11_Caption[];
extern char Image12_Caption[];
extern char Image13_Caption[];
extern char Image14_Caption[];
extern char mp3_back_icon_Caption[];
extern char Box19_Caption[];
extern char Box6_Caption[];
extern char Label24_Caption[];
extern char mp3_back_icon2_Caption[];
extern char Label26_Caption[];
extern char folder_icon_Caption[];
extern char file_icon_Caption[];
extern char Box17_Caption[];
extern char Label27_Caption[];
extern char Icon_back_mp3_Caption[];
extern char VolmeBar_Caption[];
extern char Image15_Caption[];
extern char ProgressBar_Caption[];
extern char Label28_Caption[];
extern char previous_icon_Caption[];
extern char pause_icon_Caption[];
extern char Play_icon_Caption[];
extern char stop_icon_Caption[];
extern char next_icon_Caption[];
extern char songlist_icon_Caption[];
extern char Label6_Caption[];
extern char Box18_Caption[];
extern char Image4_Caption[];
extern char NewScreen_Caption[];
extern char Image25_Caption[];
extern char Pen_Caption[];
extern char Image27_Caption[];
extern char Eraser_Caption[];
extern char Image29_Caption[];
extern char DrawingArea_Caption[];
extern char icon_paint_back_Caption[];
extern char Label29_Caption[];
extern char Color01_Caption[];
extern char Color02_Caption[];
extern char Color03_Caption[];
extern char Color04_Caption[];
extern char Color05_Caption[];
extern char Color06_Caption[];
extern char Color07_Caption[];
extern char Color08_Caption[];
extern char Color09_Caption[];
extern char Color10_Caption[];
extern char Color11_Caption[];
extern char Color12_Caption[];
extern char Color13_Caption[];
extern char Color14_Caption[];
extern char Color15_Caption[];
extern char Color16_Caption[];
extern char Color17_Caption[];
extern char Color18_Caption[];
extern char Color19_Caption[];
extern char Color20_Caption[];
extern char Color21_Caption[];
extern char Color22_Caption[];
extern char Color23_Caption[];
extern char Color24_Caption[];
extern char Color25_Caption[];
extern char Color26_Caption[];
extern char Color27_Caption[];
extern char Color28_Caption[];
extern char Color29_Caption[];
extern char Color30_Caption[];
extern char BackGroundColor_Caption[];
extern char Pen1_Caption[];
extern char Pen2_Caption[];
extern char Pen3_Caption[];
extern char Slide_Active_area_Caption[];
extern char Box7_Caption[];
extern char icon_previous_box_Caption[];
extern char Icon_next_box_Caption[];
extern char Label31_Caption[];
extern char back_slide_show_Caption[];
extern char Label32_Caption[];
extern char Label33_Caption[];
extern char icon_previous_Caption[];
extern char Icon_next_Caption[];
extern char Label35_Caption[];
extern char Box8_Caption[];
extern char Box10_Caption[];
extern char Box11_Caption[];
extern char Box9_Caption[];
extern char Button9_Caption[];
extern char Button8_Caption[];
extern char Button7_Caption[];
extern char Button6_Caption[];
extern char Button5_Caption[];
extern char Button4_Caption[];
extern char Button3_Caption[];
extern char Button2_Caption[];
extern char Button1_Caption[];
extern char Label36_Caption[];
extern char Image20_Caption[];
extern char Label37_Caption[];
extern char Image21_Caption[];
extern char Label38_Caption[];
extern char Label39_Caption[];
extern char XO1_Caption[];
extern char XO2_Caption[];
extern char XO3_Caption[];
extern char XO4_Caption[];
extern char XO5_Caption[];
extern char XO6_Caption[];
extern char XO7_Caption[];
extern char XO8_Caption[];
extern char XO9_Caption[];
extern char CheckBox1_Caption[];
extern char Label41_Caption[];
extern char Label46_Caption[];
extern char Line1_Caption[];
extern char Image22_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawImage(TImage *AImage);
void DrawCircle(TCircle *ACircle);
void DrawBox(TBox *ABox);
void DrawLine(TLine *Aline);
void DrawCheckBox(TCheckBox *ACheckBox);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/mikromedia_5_tiva_resources.h"
const code char Furro_Script50x64_Regular[];
const code char Furro_Script63x80_Regular[];
const code char Furro_Script75x96_Regular[];
const code char Open_Sans_Light12x18_Regular[];
const code char Open_Sans_Light15x23_Regular[];
const code char Open_Sans_Light21x33_Regular[];
const code char Open_Sans_Light22x33_Bold[];
const code char Open_Sans_Light24x37_Regular[];
const code char Open_Sans_Light30x43_Bold[];
const code char Open_Sans_Light29x45_Regular[];
const code char Open_Sans_Light85x131_Regular[];
const code char Open_Sans62x92_Regular[];
const code char Tahoma21x25_Regular[];
const code char Tahoma11x13_Regular[];
const code char icon_accel_bmp[24206];
const code char icon_rgb_light_bmp[24206];
const code char icon_clock_bmp[24206];
const code char icon_time_bmp[1518];
const code char icon_temp_bmp[24206];
const code char icon_mp3_player_bmp[24206];
const code char icon_paint_bmp[24206];
const code char icon_slide_show_bmp[24206];
const code char icon_tic_tac_toe_bmp[24206];
const code char icon_battery_bmp[2646];
const code char icon_back_accel_bmp[2184];
const code char icon_back_rtc_bmp[2526];
const code char icon_sync_rtc_bmp[2666];
const code char icon_done_rtc_bmp[3040];
const code char stripe_numbers_rtc_bmp[144486];
const code char am_pm_bmp[68736];
const code char icon_temp_sensors_bmp[6480];
const code char icon_light_sensors_bmp[14282];
const code char icon_back_sensors_bmp[2670];
const code char icon_microsd_mp3_bmp[9960];
const code char icon_anim_01_mp3_bmp[2490];
const code char icon_anim_02_mp3_bmp[2490];
const code char icon_anim_03_mp3_bmp[2490];
const code char icon_back_mp3_bmp[2598];
const code char icon_folder_mp3_bmp[1150];
const code char icon_file_mp3_bmp[888];
const code char icon_volume_mp3_bmp[1782];
const code char icon_prev_mp3_bmp[3126];
const code char icon_pause_mp3_bmp[3126];
const code char icon_play_mp3_bmp[3126];
const code char icon_stop_mp3_bmp[3126];
const code char icon_next_mp3_bmp[3126];
const code char icon_playlist_mp3_bmp[3126];
const code char icon_new_screen_selected_bmp[5624];
const code char icon_new_screen_bmp[5624];
const code char icon_brush_selected_bmp[5624];
const code char icon_brush_bmp[5624];
const code char icon_eraser_selected_bmp[5624];
const code char icon_eraser_bmp[5624];
const code char icon_fill_back_selected_bmp[5624];
const code char icon_back_paint_bmp[3126];
const code char icon_fill_back_bmp[5624];
const code char icon_back_slideshow_bmp[2814];
const code char icon_up_slideshow_bmp[1798];
const code char icon_down_slideshow_bmp[1798];
const code char icon_back_tic_tac_toe_bmp[2670];
const code char icon_new_game_tic_tac_toe_bmp[1630];
const code char pointer_bmp[806];
#line 1 "c:/c4w/mikroc pro for arm/include/built_in.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/init_routines.h"




extern sfr sbit LED_R;
extern sfr sbit LED_G;
extern sfr sbit LED_B;
extern sfr sbit LED_R_Direction;
extern sfr sbit LED_G_Direction;
extern sfr sbit LED_B_Direction;


extern sfr sbit Mmc_Chip_Select;
extern sfr sbit MMC_Card_Detect;
extern sfr sbit Mmc_Chip_Select_Direction;
extern sfr sbit MMC_Card_Detect_Direction;


extern sfr sbit MP3_CS;
extern sfr sbit MP3_RST;
extern sfr sbit BSYNC;
extern sfr sbit DREQ;
extern sfr sbit MP3_CS_Direction;
extern sfr sbit MP3_RST_Direction;
extern sfr sbit BSYNC_Direction;
extern sfr sbit DREQ_Direction;


extern sfr sbit nRF_CS;
extern sfr sbit nRF_CE;
extern sfr sbit nRF_IRQ;
extern sfr sbit nRF_CS_Direction;
extern sfr sbit nRF_CE_Direction;
extern sfr sbit nRF_IRQ_Direction;


extern sfr sbit BackLight_LED;
extern sfr sbit BackLight_LED_Direction;


extern sfr sbit USB_VBUS;
extern sfr sbit DC_VBUS;
extern sfr sbit BAT_STAT1;
extern sfr sbit BAT_STAT2;
extern sfr sbit USB_VBUS_Direction;
extern sfr sbit DC_VBUS_Direction;
extern sfr sbit BAT_STAT1_Direction;
extern sfr sbit BAT_STAT2_Direction;


extern sfr sbit Net_Wireless_CC3000_CS;
extern sfr sbit Net_Wireless_CC3000_Int;
extern sfr sbit Net_Wireless_CC3000_En;

extern sfr sbit Net_Wireless_CC3000_CS_Direction;
extern sfr sbit Net_Wireless_CC3000_Int_Direction;
extern sfr sbit Net_Wireless_CC3000_En_Direction;


extern sfr sbit PSW;


extern const unsigned long mikroProg_for_tiva_bmp;
extern const unsigned long arm_compilers_bmp;
extern const unsigned long clicks_bmp;
extern const unsigned long easymxprov7_bmp;
extern const unsigned long mikromedia5_for_tiva_bmp;
extern const unsigned long mikromediaplus_stellaris_bmp;
extern const unsigned long mp3_note_bmp;
extern const unsigned long mp3_player_note_bmp;
extern const unsigned long game_table_bmp;
extern const unsigned long rgb_bitmap_bmp;

extern unsigned long BackLight_PWM_period;
extern unsigned int *My_MemoryStartPtr;


void RedrawLabel(unsigned int BackGround_Color, Tlabel *Label, unsigned int Xoffset, unsigned int Yoffset);
unsigned long Get_Cursor_Offset(unsigned int _x, unsigned int _y);
void Init_GPIO();
char CopyImage_FromResources_ToSRAM(unsigned long offset, unsigned int *SRAMStartPtr);
char Init_FAT();
char* MyTFT_Get_Data(unsigned long fPos, unsigned long bytesToGet, unsigned long *pBytesGot);
void BLED_Fade_In();
void BLED_Fade_Out();
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/hid_mouse.h"
#line 1 "c:/c4w/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 3 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/hid_mouse.h"
extern char My_PenDown;


void HID_Mouse_Start();
void HIDEventHandler(uint8_t event);
void HID_Mouse_Handler();
void MouseReportReceived(uint8_t* reportData);
void MouseInit();
void HID_Mouse_Restore_Buffer();
void HID_Mouse_Restore_Display();
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__lib_nrf24l01.h"



typedef struct {
 unsigned char _status;
 unsigned int _pipe;
 unsigned char _plos_cnt;
 unsigned char _arc_cnt;
 unsigned char *_pBuff;
} TnRF_Status;

typedef struct RF_Config {
 unsigned char autoTransmitDelay;
 unsigned char autoTransmitCount;
 unsigned char channel;
 unsigned char outputPower;
 unsigned char dataRate;
} TRF_Config;

extern unsigned char TX_pload[];
extern unsigned char RX_pload[];

unsigned char nRF_SPI_RW(unsigned char byte);
unsigned char nRF_SPI_Read(unsigned char reg);
unsigned char nRF_SPI_RW_Reg(unsigned char reg, unsigned char value);
unsigned char nRF_SPI_RW_Reg_IRQ(unsigned char reg, unsigned char value);
unsigned char nRF_SPI_Write_Buf(unsigned char reg, unsigned char *pBuf, unsigned char bytes);
unsigned char nRF_SPI_Read_Buf(unsigned char reg, unsigned char *pBuf, unsigned char bytes);
void nRF_CE_Pin(unsigned char action) ;
void nRF24L01_IRQ(void);
void TIMER2_IRQ(void);
unsigned char nRF_Clear_IRQ(unsigned char irq_flag);
void nRF_Flush_TX(void);
void nRF_Flush_RX(void);
unsigned char nRF_RD_RX_PW_n(unsigned char pipe);
unsigned char nRF_Get_Status(void);
unsigned char nRF_Get_Current_Pipenum(void);
unsigned char nRF_Get_FIFO(void);
unsigned int nRF_Read_RX_Pload(unsigned char *pBuf);
void nRF_Init();
void nRF_TX_Mode_Init_Advanced(unsigned char dataRate, unsigned char autoRetransmitDelay, unsigned char autoRetransmitCount,
 unsigned char outputPower, unsigned char channel);
void nRF_TX_Mode_Init(unsigned char channel);
void nRF_RX_Mode_Init_Advanced(unsigned char dataRate, unsigned char outputPower, unsigned char channel);
void nRF_RX_Mode_Init(unsigned char channel);
void nRF_Process(TnRF_Status *nRFstatus);
void nRF_Write_TX_Pload(unsigned char *pBuf, unsigned char plWidth);
unsigned char nRF_Send_Packet();
unsigned char nRF_Receive_Packet();


int GetOutputPower(unsigned char op);
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/nrf24l01_defs.h"
#line 16 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
TnRF_Status nRFStatus;
TRF_Config rfConfig;
unsigned char rfState;


unsigned int * const TicTacToe_Table_Image_SRAM_ptr = 0x10192800;
char TTT_flag;
char TicTacToe_Table_Loaded = 0;
unsigned int TicTacToe_seconds_cnt;
TButton *ButtonArray[9] = {&Button1, &Button2, &Button3, &Button4, &Button5, &Button6, &Button7, &Button8, &Button9};



static const RF_Stop = 1;
static const unsigned int O_color = 0xDB27;
static const unsigned int X_color = 0x35E8;


static const char OsTurn_cap[] = "O's turn";
static const char XsTurn_cap[] = "X's turn";
static const char Draw_cap[] = "Draw";
static const char XWin_cap[] = "X wins!";
static const char OWin_cap[] = "O wins!";
static const char YouWin_cap[] = "Winner!";
static const char YouLose_cap[] = "Looser!";
static const char XO_X_caption[] = "X";
static const char XO_O_caption[] = "O";

static char RF_used;
static char victory = 0;
static char Myturn = 0;
static char RF_cnt = 0, RF_send_Failed = 0;
static char TicTacToe_Counter = 0;


static char XO_matrix[3][3] = {{0, 0, 0},
 {0, 0, 0},
 {0, 0, 0}};
static char XO_Turn = 1;

static char XO_ID = 2, XO_First_Move = 1;
static char XO_ID2 = 2;
static TLabel *LabelArray[9] = {&XO1, &XO2, &XO3, &XO4, &XO5, &XO6, &XO7, &XO8, &XO9};


struct Tpacket {
 char ID;
 char first_move;
 char Mat[3][3];
 char turn;
} packet;


void Timer_16us_Disable(){
 TIMER_ICR_TATOCINT_TIMER2_ICR_bit = 1;
 NVIC_IntDisable(IVT_INT_TIMER2A_16_32_bit);
}

void Timer_16us_Enable(){
 NVIC_IntEnable(IVT_INT_TIMER2A_16_32_bit);
}
#line 85 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void InitTimer3A(){
 SYSCTL_RCGCTIMER_R3_bit = 1;
 EnableInterrupts();
 TIMER_CTL_TAEN_TIMER3_CTL_bit = 0;
 TIMER3_CFG = 0;
 TIMER3_TAMR |= 2;
 TIMER3_TAILR = 120000000;

 TIMER_IMR_TATOIM_TIMER3_IMR_bit = 1;
 TIMER_CTL_TAEN_TIMER3_CTL_bit = 1;
}
#line 104 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void InitTimer2A(){
 SYSCTL_RCGCTIMER_R2_bit = 1;
 EnableInterrupts();
 TIMER_CTL_TAEN_TIMER2_CTL_bit = 0;
 TIMER2_CFG = 4;
 TIMER2_TAMR |= 2;
 TIMER2_TAPR = 0;
 TIMER2_TAILR = 1920;
 NVIC_IntDisable(IVT_INT_TIMER2A_16_32_bit);
 TIMER_IMR_TATOIM_TIMER2_IMR_bit = 1;
 TIMER_CTL_TAEN_TIMER2_CTL_bit = 1;
}
#line 123 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void InitExt(){
 GPIO_PORTG_AHB_AFSEL |= _GPIO_PINMASK_2;
 GPIO_PORTG_AHB_IS = 0;
 GPIO_PORTG_AHB_IBE = 0;
 GPIO_PORTG_AHB_IEV = 0;
 GPIO_PORTG_AHB_IM = _GPIO_PINMASK_2;
 NVIC_IntEnable(IVT_INT_GPIOG);
}
#line 139 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void InitRF(){

 nRF_CE = 0;
 nRF_CS = 1;

 InitTimer2A();
 InitExt();


 SPI1_Init_Advanced(5000000, _SPI_MASTER, _SPI_8_BIT | _SPI_CLK_IDLE_LOW | _SPI_FIRST_CLK_EDGE_TRANSITION, &_GPIO_MODULE_SPI1_B5E45_AHB);
}
#line 158 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
void Start_nRF(){

 rfConfig.autoTransmitDelay =  0xF0 ;
 rfConfig.autoTransmitCount =  0x05 ;
 rfConfig.channel = 64;
 rfConfig.outputPower =  0x06 ;
 rfConfig.dataRate =  0x00 ;


 nRF_Init();
 InitRF();
 Delay_ms(100);

 TTT_flag = 0;
 rfState = RF_STOP;

 nRF_RX_Mode_Init_Advanced(rfConfig.dataRate, rfConfig.outputPower, rfConfig.channel);


 InitTimer3A();
 NVIC_IntDisable(IVT_INT_TIMER3A_16_32_bit);

 if (RF_used == 1)
 RF_used = 0;
 else
 RF_used = 1;
}

void XO_Reset();
static void UpdateLabel(TLabel * Label, char xo);
static void UpdateStatus(char xo);
static void TestDraw();
static void Test_Victory();
static void XO_Process_Packet(char *receved_packet);
static void RF_Send_Move();
static char Check_For_Draw();
#line 202 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void ToneA() {
 Sound_Play( 880, 50);
}
static void ToneC() {
 Sound_Play(1046, 50);
}
static void ToneE() {
 Sound_Play(1318, 50);
}

static void LED_Move(){
 Sound_Play(1318, 50);
 Sound_Play(1567, 50);
}

static void LED_Victory_Blink(){
char i;
 for (i = 0; i < 5; i ++){
 LED_R = 1;
 ToneA();
 Delay_ms(20);
 LED_R = 0;
 LED_G = 1;
 ToneC();
 Delay_ms(20);
 LED_G = 0;
 LED_B = 1;
 ToneE();
 Delay_ms(20);
 }
 LED_B = 0;
}
#line 242 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
void doTicTacToeISR(){
 Label39_Caption[6] = (TicTacToe_seconds_cnt / 60) / 10 + 48;
 Label39_Caption[7] = (TicTacToe_seconds_cnt / 60) % 10 + 48;
 Label39_Caption[9] = (TicTacToe_seconds_cnt % 60) / 10 + 48;
 Label39_Caption[10] = (TicTacToe_seconds_cnt % 60) % 10 + 48;

 HID_Mouse_Restore_Display();
 RedrawLabel(Box8.Color, &Label39, 160, 35);
 HID_Mouse_Restore_Buffer();
}
#line 260 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void UpdateLabel38(char *text, unsigned int color){
 Label38.Font_Color = color;
 Label38.Caption = text;
 RedrawLabel(Box8.Color, &Label38, 200, 100);
}
#line 273 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
void doTicTacToe(){

 TicTacToe_Counter = 0;

 if (TTT_flag){
 doTicTacToeISR();
 TTT_flag = 0;
 }

 if (RF_used == 1){

 nRF_Process(&nRFStatus);


 if (nRFStatus._status ==  0x40 ){
 LED_B = 1;
 XO_Process_Packet(RX_pload);
 LED_B = 0;
 }


 if (nRFStatus._status ==  0x20 ){
 RF_send_Failed = 0;
 nRF_RX_Mode_Init(rfConfig.channel);
 }


 if ((nRFStatus._status ==  0x10 ) || RF_send_Failed){
 RF_send_Failed = 1;
 if (RF_cnt++ > 200){
 LED_B = 1;
 RF_Send_Move();
 Delay_ms(50);

 RF_cnt = 0;
 LED_B = 0;
 }
 }
 }
}
#line 321 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void RF_Send_Move(){
char i;
char *pMat;

 nRF_TX_Mode_Init(rfConfig.channel);
 pMat = (char*)XO_matrix;
 TX_pload[0] = XO_ID;
 TX_pload[1] = XO_First_Move;
 for (i = 0; i < 9; i ++)
 TX_pload[i + 2] = *pMat ++;
 TX_pload[11] = XO_Turn;

 nRF_Send_Packet();
 Delay_ms(10);
}
#line 344 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void XO_Process(char No){
char temp_i, temp_j;

 temp_i = No / 3;
 temp_j = No % 3;

 HID_Mouse_Restore_Display();
 if (victory == 0){
 if (XO_matrix[temp_i][temp_j] == 2){
 UpdateLabel(LabelArray[No], 1);
 UpdateStatus(1);
 }
 else if (XO_matrix[temp_i][temp_j] == 1){
 UpdateLabel(LabelArray[No], 0);
 UpdateStatus(0);
 }
 }
 HID_Mouse_Restore_Buffer();
}
#line 371 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void XO_Process_Packet(char *receved_packet){
char *ptr1;
char *ptr2;
char i;

 ptr1 = (char*)&packet;

 for (i = 0; i < 12; i ++)
 *ptr1 ++ = *receved_packet ++;

 if (packet.ID != 0){
 ptr1 = (char*)&packet;
 ptr1 += 2;
 ptr2 = (char*)XO_matrix;

 if (packet.ID == XO_ID2){
 if (packet.turn == 0xFF){
 XO_Reset();
 return;
 }
 XO_Turn = packet.turn;
 if (Myturn == 0){
 MyTurn = XO_Turn;
 NVIC_IntEnable(IVT_INT_TIMER3A_16_32_bit);
 }

 for (i = 0; i < 9; i ++){
 if (*ptr1 != *ptr2){
 *ptr2 = *ptr1;
 XO_Process(i);
 LED_G = 1;
 LED_R = 0;
 }
 ptr1 ++;
 ptr2 ++;
 }
 Test_Victory();
 TestDraw();
 }
 }
}
#line 420 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void TestDraw(){
 if (victory == 0)
 if (Check_For_Draw() == 1){
 NVIC_IntDisable(IVT_INT_TIMER3A_16_32_bit);
 HID_Mouse_Restore_Display();
 UpdateLabel38(Draw_cap, CL_WHITE_Intern);
 HID_Mouse_Restore_Buffer();
 LED_G = 0;
 LED_B = 0;
 LED_R = 0;
 }
}
#line 442 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static char XO_Set_New_State(char MatNo){
char temp_i, temp_j;

 temp_i = MatNo / 3;
 temp_j = MatNo % 3;
 if (XO_matrix[temp_i][temp_j] == 0){
 if (XO_Turn == 1){
 XO_matrix[temp_i][temp_j] = 1;
 XO_Turn = 2;
 return 1;
 }
 else if (XO_Turn == 2){
 XO_matrix[temp_i][temp_j] = 2;
 XO_Turn = 1;
 return 2;
 }
 }
 else {
 return 0;
 }
}
#line 471 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void XO_Victory(char victory_flag){
 switch (victory_flag){
 case 1 : {
 TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
 TFTIntern_Line(388, 126, 733, 114);
 }; break;
 case 2 : {
 TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
 TFTIntern_Line(393, 250, 740, 237);
 }; break;
 case 3 : {
 TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
 TFTIntern_Line(400, 374, 743, 360);
 }; break;
 case 4 : {
 TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
 TFTIntern_Line(435, 85, 450, 410);
 }; break;
 case 5 : {
 TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
 TFTIntern_Line(557, 79, 574, 406);
 }; break;
 case 6 : {
 TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
 TFTIntern_Line(682, 74, 701, 404);
 }; break;
 case 7 : {
 TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
 TFTIntern_Line(393, 86, 740, 398);
 }; break;
 case 8 : {
 TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
 TFTIntern_Line(727, 72, 404, 412);
 }; break;
 }
}
#line 516 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static char Check_For_Draw(){
 char i, j;
 for (i = 0; i < 3; i ++){
 for (j = 0; j < 3; j ++){
 if (XO_matrix[i][j] == 0)
 return 0;
 }
 }
 return 1;
}
#line 534 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static char XO_Check_For_Victory(){
char temp_i, temp_j;

 for (temp_i = 0; temp_i < 3; temp_i ++){
 if (XO_matrix[temp_i][0] != 0)
 if (XO_matrix[temp_i][0] == XO_matrix[temp_i][1])
 if (XO_matrix[temp_i][1] == XO_matrix[temp_i][2])
 return (temp_i + 1);
 }
 for (temp_j = 0; temp_j < 3; temp_j ++){
 if (XO_matrix[0][temp_j] != 0)
 if (XO_matrix[0][temp_j] == XO_matrix[1][temp_j])
 if (XO_matrix[1][temp_j] == XO_matrix[2][temp_j])
 return (temp_j + 4);
 }
 if (XO_matrix[0][0] != 0)
 if (XO_matrix[0][0] == XO_matrix[1][1])
 if (XO_matrix[1][1] == XO_matrix[2][2]){
 return 7;
 }
 if (XO_matrix[0][2] != 0)
 if (XO_matrix[0][2] == XO_matrix[1][1])
 if (XO_matrix[1][1] == XO_matrix[2][0]){
 return 8;
 }
 return 0;
}
#line 569 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void UpdateLabel(TLabel * Label, char xo){
 if (xo){
 Label->Caption = XO_O_caption;
 Label->Font_Color = O_color;
 DrawLabel(Label);
 }
 else{
 Label->Caption = XO_X_caption;
 Label->Font_Color = X_color;
 DrawLabel(Label);
 }
}
#line 589 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void UpdateStatus (char xo){
 if (xo){
 UpdateLabel38(XsTurn_cap, X_color);
 }
 else {
 UpdateLabel38(OsTurn_cap, O_color);
 }
}
#line 605 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
static void Test_Victory(){
 victory = XO_Check_For_Victory();
 if (victory){
 NVIC_IntDisable(IVT_INT_TIMER3A_16_32_bit);
 XO_Victory(victory);

 HID_Mouse_Restore_Display();
 if (RF_used){
 if (XO_turn == MyTurn)
 UpdateLabel38(YouLose_cap, CL_BLUE_Intern);
 else
 UpdateLabel38(YouWin_cap, CL_RED_Intern);
 }
 else{
 if (XO_turn == 2)
 UpdateLabel38(XWin_cap, X_color);
 else if (Xo_turn == 1)
 UpdateLabel38(Owin_cap, O_color);
 }
 HID_Mouse_Restore_Buffer();

 LED_Victory_Blink();
 }
 else
 LED_Move();
}
#line 639 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
void XO_Reset(){

 memset(XO_matrix, 0, 9);
 victory = 0;
 XO_Turn = 0xFF;


 InitTimer3A();
 NVIC_IntDisable(IVT_INT_TIMER3A_16_32_bit);
 TicTacToe_seconds_cnt = 0;
 doTicTacToeISR();

 if (RF_used){
 RF_Send_Move();
 Delay_ms(50);
 nRF_RX_Mode_Init(rfConfig.channel);
 }
 XO_Turn = 1;
 XO_First_Move = 1;
 MyTurn = 0;
 LED_B = 0;
 LED_R = 0;
 LED_G = 0;

 HID_Mouse_Restore_Display();

 if (TicTacToe_Table_Loaded){
 TFTIntern_Image(365, 40, (char *)TicTacToe_Table_Image_SRAM_ptr, 1);
 }
 else
 if (Init_FAT()){
 CopyImage_FromResources_ToSRAM(game_table_bmp, TicTacToe_Table_Image_SRAM_ptr);
 TFTIntern_Image(365, 40, (char *)TicTacToe_Table_Image_SRAM_ptr, 1);
 TicTacToe_Table_Loaded = 1;
 }

 Label38.Caption = Label38_Caption;
 ReDrawLabel(Box8.Color, &Label38, 200, 100);
 HID_Mouse_Restore_Buffer();


 GPIO_Digital_Output(&GPIO_PORTD_AHB, _GPIO_PINMASK_2 | _GPIO_PINMASK_3 | _GPIO_PINMASK_5);
 LED_B = 0;
 LED_R = 0;
 LED_G = 0;
}
#line 693 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/Tic_Tac_Toe.c"
void ButtonClick(TButton *Butt, char No){

 if (victory == 0){
 if (MyTurn == 0){
 MyTurn = XO_Turn;
 NVIC_IntEnable(IVT_INT_TIMER3A_16_32_bit);
 }

 if (XO_turn == MyTurn){

 if (XO_Set_New_State(No)){

 XO_Process(No);

 if (RF_used){
 LED_G = 0;
 LED_R = 1;

 RF_Send_Move();
 Delay_ms(50);
 }
 else{

 MyTurn = XO_Turn;
 if (XO_Turn == 1){
 LED_G = 1;
 LED_B = 0;
 }
 else{
 LED_B = 1;
 LED_G = 0;
 }
 }

 Test_Victory();
 TestDraw();
 XO_First_Move ++;
 }
 }
 }
}
