#line 1 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/mikromedia_5_TIVA_main.c"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/mikromedia_5_tiva_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct {
 unsigned long config;
 unsigned int displayWidth;
 unsigned int displayHeight;
 unsigned int horizontalFrontPorch;
 unsigned int horizontalBackPorch;
 unsigned int horizontalSyncWidth;
 unsigned short verticalFrontPorch;
 unsigned short verticalBackPorch;
 unsigned short verticalSyncWidth;
 unsigned short biasLineCount;
} TLCDRasterTiming;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Image {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const char *Picture_Name;
 char Visible;
 char Active;
 char Picture_Type;
 char Picture_Ratio;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TImage;

typedef struct Circle {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Radius;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCircle;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

typedef struct Line {
 TScreen* OwnerScreen;
 char Order;
 unsigned int First_Point_X;
 unsigned int First_Point_Y;
 unsigned int Second_Point_X;
 unsigned int Second_Point_Y;
 char Pen_Width;
 char Visible;
 unsigned int Color;
} TLine;

typedef struct CheckBox {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Checked;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Rounded;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCheckBox;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int ImagesCount;
 TImage * const code *Images;
 unsigned int CirclesCount;
 TCircle * const code *Circles;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
 unsigned int LinesCount;
 TLine * const code *Lines;
 unsigned int CheckBoxesCount;
 TCheckBox * const code *CheckBoxes;
};

extern TScreen Home;
extern TImage Image1;
extern TImage Image3;
extern TLabel Label5;
extern TLabel Label7;
extern TLabel Label8;
extern TImage Image6;
extern TLabel Label14;
extern TImage Image10;
extern TLabel Label19;
extern TImage Image9;
extern TLabel Label20;
extern TImage Image16;
extern TLabel Label25;
extern TImage Image24;
extern TLabel Label30;
extern TImage Image18;
extern TLabel Label34;
extern TImage TicTacToe;
extern TLabel Label40;
extern TImage BatteryStatus;
extern TLabel Label44;
extern TLabel Label45;
extern TLabel * const code Screen1_Labels[12];
extern TImage * const code Screen1_Images[10];

extern TScreen Accelerometer;
extern TBox Box23;
extern TBox Box1;
extern TImage Image2;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel * const code Screen2_Labels[4];
extern TImage * const code Screen2_Images[1];
extern TBox * const code Screen2_Boxes[2];

extern TScreen RGBLight;
extern TBox Box22;
extern TLabel Label9;
extern TImage Image5;
extern TLabel Label10;
extern TCircle Circle1;
extern TLabel Label11;
extern TLabel Label12;
extern TLabel Label13;
extern TBox RGB_Active_area;
extern TLabel * const code Screen3_Labels[5];
extern TImage * const code Screen3_Images[1];
extern TCircle * const code Screen3_Circles[1];
extern TBox * const code Screen3_Boxes[2];

extern TScreen Clock;
extern TBox Box13;
extern TBox Box16;
extern TBox Box15;
extern TBox Box12;
extern TLabel Label15;
extern TBox Box2;
extern TBox Box3;
extern TLabel Label16;
extern TImage ClockBack;
extern TLabel Label17;
extern TLabel Label18;
extern TImage SyncIcon;
extern TImage Image8;
extern TBox Box4;
extern TBox Box5;
extern TImage Image7;
extern TLabel Label42;
extern TImage Image17;
extern TBox Box14;
extern TLabel * const code Screen4_Labels[5];
extern TImage * const code Screen4_Images[5];
extern TBox * const code Screen4_Boxes[9];

extern TScreen Sensors;
extern TBox Diagram5_Box1;
extern TBox Box21;
extern TImage TempIcon;
extern TImage LightIcon;
extern TLabel Diagram5_Label1;
extern TLabel Diagram5_Label2;
extern TLabel Diagram5_Label3;
extern TLabel Diagram5_Label4;
extern TLabel Diagram5_Label5;
extern TImage BackIconSensors;
extern TLabel Diagram5_Label6;
extern TLabel Label21;
extern TLabel * const code Screen5_Labels[7];
extern TImage * const code Screen5_Images[3];
extern TBox * const code Screen5_Boxes[2];

extern TScreen MP3_SD;
extern TBox Box20;
extern TLabel Label22;
extern TLabel Label23;
extern TImage Image11;
extern TImage Image12;
extern TImage Image13;
extern TImage Image14;
extern TImage mp3_back_icon;
extern TLabel * const code Screen6_Labels[2];
extern TImage * const code Screen6_Images[5];
extern TBox * const code Screen6_Boxes[1];

extern TScreen MP3_SongList;
extern TBox Box19;
extern TBox Box6;
extern TLabel Label24;
extern TImage mp3_back_icon2;
extern TLabel Label26;
extern TImage folder_icon;
extern TImage file_icon;
extern TLabel * const code Screen7_Labels[2];
extern TImage * const code Screen7_Images[3];
extern TBox * const code Screen7_Boxes[2];

extern TScreen MP3_Player;
extern TBox Box17;
extern TLabel Label27;
extern TImage Icon_back_mp3;
extern TBox VolmeBar;
extern TImage Image15;
extern TBox ProgressBar;
extern TLabel Label28;
extern TImage previous_icon;
extern TImage pause_icon;
extern TImage Play_icon;
extern TImage stop_icon;
extern TImage next_icon;
extern TImage songlist_icon;
extern TLabel Label6;
extern TLabel * const code Screen8_Labels[3];
extern TImage * const code Screen8_Images[8];
extern TBox * const code Screen8_Boxes[3];

extern TScreen Paint;
extern TBox Box18;
extern TImage Image4;
extern TImage NewScreen;
extern TImage Image25;
extern TImage Pen;
extern TImage Image27;
extern TImage Eraser;
extern TImage Image29;
extern TBox DrawingArea;
extern TImage icon_paint_back;
extern TLabel Label29;
extern TBox Color01;
extern TBox Color02;
extern TBox Color03;
extern TBox Color04;
extern TBox Color05;
extern TBox Color06;
extern TBox Color07;
extern TBox Color08;
extern TBox Color09;
extern TBox Color10;
extern TBox Color11;
extern TBox Color12;
extern TBox Color13;
extern TBox Color14;
extern TBox Color15;
extern TBox Color16;
extern TBox Color17;
extern TBox Color18;
extern TBox Color19;
extern TBox Color20;
extern TBox Color21;
extern TBox Color22;
extern TBox Color23;
extern TBox Color24;
extern TBox Color25;
extern TBox Color26;
extern TBox Color27;
extern TBox Color28;
extern TBox Color29;
extern TBox Color30;
extern TImage BackGroundColor;
extern TBox Pen1;
extern TBox Pen2;
extern TBox Pen3;
extern TLabel * const code Screen9_Labels[1];
extern TImage * const code Screen9_Images[9];
extern TBox * const code Screen9_Boxes[35];

extern TScreen SlideShow;
extern TBox Slide_Active_area;
extern TBox Box7;
extern TBox icon_previous_box;
extern TBox Icon_next_box;
extern TLabel Label31;
extern TImage back_slide_show;
extern TLabel Label32;
extern TLabel Label33;
extern TImage icon_previous;
extern TImage Icon_next;
extern TLabel Label35;
extern TLabel * const code Screen10_Labels[4];
extern TImage * const code Screen10_Images[3];
extern TBox * const code Screen10_Boxes[4];

extern TScreen Tic_Tac_Toe;
extern TBox Box8;
extern TBox Box10;
extern TBox Box11;
extern TBox Box9;
extern TButton Button9;
extern TButton Button8;
extern TButton Button7;
extern TButton Button6;
extern TButton Button5;
extern TButton Button4;
extern TButton Button3;
extern TButton Button2;
extern TButton Button1;
extern TLabel Label36;
extern TImage Image20;
extern TLabel Label37;
extern TImage Image21;
extern TLabel Label38;
extern TLabel Label39;
extern TLabel XO1;
extern TLabel XO2;
extern TLabel XO3;
extern TLabel XO4;
extern TLabel XO5;
extern TLabel XO6;
extern TLabel XO7;
extern TLabel XO8;
extern TLabel XO9;
extern TCheckBox CheckBox1;
extern TLabel Label41;
extern TButton * const code Screen11_Buttons[9];
extern TLabel * const code Screen11_Labels[14];
extern TImage * const code Screen11_Images[2];
extern TBox * const code Screen11_Boxes[4];
extern TCheckBox * const code Screen11_CheckBoxes[1];

extern TScreen Loading;
extern TLabel Label46;
extern TLine Line1;
extern TImage Image22;
extern TLabel * const code Screen12_Labels[1];
extern TImage * const code Screen12_Images[1];
extern TLine * const code Screen12_Lines[1];




void BackGroundColorOnPress();
void BackIconSensorsOnPress();
void Box10OnClick();
void Box11OnPress();
void Box12OnClick();
void Box12OnPress();
void Box13OnClick();
void Box14OnPress();
void Box2OnPress();
void Box3OnPress();
void Box4OnPress();
void Box5OnPress();
void Box6OnClick();
void Box6OnPress();
void Box7OnDown();
void Box9OnPress();
void Button1OnClick();
void Button2OnClick();
void Button3OnClick();
void Button4OnClick();
void Button5OnClick();
void Button6OnClick();
void Button7OnClick();
void Button8OnClick();
void Button9OnClick();
void CheckBox1OnClick();
void ClockBackOnPress();
void Color01OnPress();
void Color02OnPress();
void Color03OnPress();
void Color04OnPress();
void Color05OnPress();
void Color06OnPress();
void Color07OnPress();
void Color08OnPress();
void Color09OnPress();
void Color10OnPress();
void Color11OnPress();
void Color12OnPress();
void Color13OnPress();
void Color14OnPress();
void Color15OnPress();
void Color16OnPress();
void Color17OnPress();
void Color18OnPress();
void Color19OnPress();
void Color20OnPress();
void Color21OnPress();
void Color22OnPress();
void Color23OnPress();
void Color24OnPress();
void Color25OnPress();
void Color26OnPress();
void Color27OnPress();
void Color28OnPress();
void Color29OnPress();
void Color30OnPress();
void DrawingAreaOnPress();
void EraserOnPress();
void Icon_back_mp3OnClick();
void Icon_next_boxOnPress();
void icon_paint_backOnPress();
void icon_previous_boxOnPress();
void Image15OnPress();
void Image16OnClick();
void Image18OnClick();
void Image1OnPress();
void Image22OnClick();
void Image24OnPress();
void Image2OnPress();
void Image3OnPress();
void Image4OnPress();
void Image5OnPress();
void Image6OnClick();
void Image8OnPress();
void Image9OnPress();
void Label22OnPress();
void Label24OnPress();
void Label27OnPress();
void mp3_back_iconOnPress();
void NewScreenOnPress();
void next_iconOnDown();
void pause_iconOnPress();
void Pen1OnPress();
void Pen2OnPress();
void Pen3OnPress();
void PenOnPress();
void Play_iconOnDown();
void previous_iconOnDown();
void ProgreesBarOnPress();
void RGB_Active_areaOnPress();
void Slide_Active_areaOnPress();
void songlist_iconOnPress();
void stop_iconOnDown();
void VolmeBarOnPress();




extern char Image1_Caption[];
extern char Image3_Caption[];
extern char Label5_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char Image6_Caption[];
extern char Label14_Caption[];
extern char Image10_Caption[];
extern char Label19_Caption[];
extern char Image9_Caption[];
extern char Label20_Caption[];
extern char Image16_Caption[];
extern char Label25_Caption[];
extern char Image24_Caption[];
extern char Label30_Caption[];
extern char Image18_Caption[];
extern char Label34_Caption[];
extern char TicTacToe_Caption[];
extern char Label40_Caption[];
extern char BatteryStatus_Caption[];
extern char Label44_Caption[];
extern char Label45_Caption[];
extern char Box23_Caption[];
extern char Box1_Caption[];
extern char Image2_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Box22_Caption[];
extern char Label9_Caption[];
extern char Image5_Caption[];
extern char Label10_Caption[];
extern char Circle1_Caption[];
extern char Label11_Caption[];
extern char Label12_Caption[];
extern char Label13_Caption[];
extern char RGB_Active_area_Caption[];
extern char Box13_Caption[];
extern char Box16_Caption[];
extern char Box15_Caption[];
extern char Box12_Caption[];
extern char Label15_Caption[];
extern char Box2_Caption[];
extern char Box3_Caption[];
extern char Label16_Caption[];
extern char ClockBack_Caption[];
extern char Label17_Caption[];
extern char Label18_Caption[];
extern char SyncIcon_Caption[];
extern char Image8_Caption[];
extern char Box4_Caption[];
extern char Box5_Caption[];
extern char Image7_Caption[];
extern char Label42_Caption[];
extern char Image17_Caption[];
extern char Box14_Caption[];
extern char Diagram5_Box1_Caption[];
extern char Box21_Caption[];
extern char TempIcon_Caption[];
extern char LightIcon_Caption[];
extern char Diagram5_Label1_Caption[];
extern char Diagram5_Label2_Caption[];
extern char Diagram5_Label3_Caption[];
extern char Diagram5_Label4_Caption[];
extern char Diagram5_Label5_Caption[];
extern char BackIconSensors_Caption[];
extern char Diagram5_Label6_Caption[];
extern char Label21_Caption[];
extern char Box20_Caption[];
extern char Label22_Caption[];
extern char Label23_Caption[];
extern char Image11_Caption[];
extern char Image12_Caption[];
extern char Image13_Caption[];
extern char Image14_Caption[];
extern char mp3_back_icon_Caption[];
extern char Box19_Caption[];
extern char Box6_Caption[];
extern char Label24_Caption[];
extern char mp3_back_icon2_Caption[];
extern char Label26_Caption[];
extern char folder_icon_Caption[];
extern char file_icon_Caption[];
extern char Box17_Caption[];
extern char Label27_Caption[];
extern char Icon_back_mp3_Caption[];
extern char VolmeBar_Caption[];
extern char Image15_Caption[];
extern char ProgressBar_Caption[];
extern char Label28_Caption[];
extern char previous_icon_Caption[];
extern char pause_icon_Caption[];
extern char Play_icon_Caption[];
extern char stop_icon_Caption[];
extern char next_icon_Caption[];
extern char songlist_icon_Caption[];
extern char Label6_Caption[];
extern char Box18_Caption[];
extern char Image4_Caption[];
extern char NewScreen_Caption[];
extern char Image25_Caption[];
extern char Pen_Caption[];
extern char Image27_Caption[];
extern char Eraser_Caption[];
extern char Image29_Caption[];
extern char DrawingArea_Caption[];
extern char icon_paint_back_Caption[];
extern char Label29_Caption[];
extern char Color01_Caption[];
extern char Color02_Caption[];
extern char Color03_Caption[];
extern char Color04_Caption[];
extern char Color05_Caption[];
extern char Color06_Caption[];
extern char Color07_Caption[];
extern char Color08_Caption[];
extern char Color09_Caption[];
extern char Color10_Caption[];
extern char Color11_Caption[];
extern char Color12_Caption[];
extern char Color13_Caption[];
extern char Color14_Caption[];
extern char Color15_Caption[];
extern char Color16_Caption[];
extern char Color17_Caption[];
extern char Color18_Caption[];
extern char Color19_Caption[];
extern char Color20_Caption[];
extern char Color21_Caption[];
extern char Color22_Caption[];
extern char Color23_Caption[];
extern char Color24_Caption[];
extern char Color25_Caption[];
extern char Color26_Caption[];
extern char Color27_Caption[];
extern char Color28_Caption[];
extern char Color29_Caption[];
extern char Color30_Caption[];
extern char BackGroundColor_Caption[];
extern char Pen1_Caption[];
extern char Pen2_Caption[];
extern char Pen3_Caption[];
extern char Slide_Active_area_Caption[];
extern char Box7_Caption[];
extern char icon_previous_box_Caption[];
extern char Icon_next_box_Caption[];
extern char Label31_Caption[];
extern char back_slide_show_Caption[];
extern char Label32_Caption[];
extern char Label33_Caption[];
extern char icon_previous_Caption[];
extern char Icon_next_Caption[];
extern char Label35_Caption[];
extern char Box8_Caption[];
extern char Box10_Caption[];
extern char Box11_Caption[];
extern char Box9_Caption[];
extern char Button9_Caption[];
extern char Button8_Caption[];
extern char Button7_Caption[];
extern char Button6_Caption[];
extern char Button5_Caption[];
extern char Button4_Caption[];
extern char Button3_Caption[];
extern char Button2_Caption[];
extern char Button1_Caption[];
extern char Label36_Caption[];
extern char Image20_Caption[];
extern char Label37_Caption[];
extern char Image21_Caption[];
extern char Label38_Caption[];
extern char Label39_Caption[];
extern char XO1_Caption[];
extern char XO2_Caption[];
extern char XO3_Caption[];
extern char XO4_Caption[];
extern char XO5_Caption[];
extern char XO6_Caption[];
extern char XO7_Caption[];
extern char XO8_Caption[];
extern char XO9_Caption[];
extern char CheckBox1_Caption[];
extern char Label41_Caption[];
extern char Label46_Caption[];
extern char Line1_Caption[];
extern char Image22_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawImage(TImage *AImage);
void DrawCircle(TCircle *ACircle);
void DrawBox(TBox *ABox);
void DrawLine(TLine *Aline);
void DrawCheckBox(TCheckBox *ACheckBox);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__lib_nrf24l01.h"



typedef struct {
 unsigned char _status;
 unsigned int _pipe;
 unsigned char _plos_cnt;
 unsigned char _arc_cnt;
 unsigned char *_pBuff;
} TnRF_Status;

typedef struct RF_Config {
 unsigned char autoTransmitDelay;
 unsigned char autoTransmitCount;
 unsigned char channel;
 unsigned char outputPower;
 unsigned char dataRate;
} TRF_Config;

extern unsigned char TX_pload[];
extern unsigned char RX_pload[];

unsigned char nRF_SPI_RW(unsigned char byte);
unsigned char nRF_SPI_Read(unsigned char reg);
unsigned char nRF_SPI_RW_Reg(unsigned char reg, unsigned char value);
unsigned char nRF_SPI_RW_Reg_IRQ(unsigned char reg, unsigned char value);
unsigned char nRF_SPI_Write_Buf(unsigned char reg, unsigned char *pBuf, unsigned char bytes);
unsigned char nRF_SPI_Read_Buf(unsigned char reg, unsigned char *pBuf, unsigned char bytes);
void nRF_CE_Pin(unsigned char action) ;
void nRF24L01_IRQ(void);
void TIMER2_IRQ(void);
unsigned char nRF_Clear_IRQ(unsigned char irq_flag);
void nRF_Flush_TX(void);
void nRF_Flush_RX(void);
unsigned char nRF_RD_RX_PW_n(unsigned char pipe);
unsigned char nRF_Get_Status(void);
unsigned char nRF_Get_Current_Pipenum(void);
unsigned char nRF_Get_FIFO(void);
unsigned int nRF_Read_RX_Pload(unsigned char *pBuf);
void nRF_Init();
void nRF_TX_Mode_Init_Advanced(unsigned char dataRate, unsigned char autoRetransmitDelay, unsigned char autoRetransmitCount,
 unsigned char outputPower, unsigned char channel);
void nRF_TX_Mode_Init(unsigned char channel);
void nRF_RX_Mode_Init_Advanced(unsigned char dataRate, unsigned char outputPower, unsigned char channel);
void nRF_RX_Mode_Init(unsigned char channel);
void nRF_Process(TnRF_Status *nRFstatus);
void nRF_Write_TX_Pload(unsigned char *pBuf, unsigned char plWidth);
unsigned char nRF_Send_Packet();
unsigned char nRF_Receive_Packet();


int GetOutputPower(unsigned char op);
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/init_routines.h"




extern sfr sbit LED_R;
extern sfr sbit LED_G;
extern sfr sbit LED_B;
extern sfr sbit LED_R_Direction;
extern sfr sbit LED_G_Direction;
extern sfr sbit LED_B_Direction;


extern sfr sbit Mmc_Chip_Select;
extern sfr sbit MMC_Card_Detect;
extern sfr sbit Mmc_Chip_Select_Direction;
extern sfr sbit MMC_Card_Detect_Direction;


extern sfr sbit MP3_CS;
extern sfr sbit MP3_RST;
extern sfr sbit BSYNC;
extern sfr sbit DREQ;
extern sfr sbit MP3_CS_Direction;
extern sfr sbit MP3_RST_Direction;
extern sfr sbit BSYNC_Direction;
extern sfr sbit DREQ_Direction;


extern sfr sbit nRF_CS;
extern sfr sbit nRF_CE;
extern sfr sbit nRF_IRQ;
extern sfr sbit nRF_CS_Direction;
extern sfr sbit nRF_CE_Direction;
extern sfr sbit nRF_IRQ_Direction;


extern sfr sbit BackLight_LED;
extern sfr sbit BackLight_LED_Direction;


extern sfr sbit USB_VBUS;
extern sfr sbit DC_VBUS;
extern sfr sbit BAT_STAT1;
extern sfr sbit BAT_STAT2;
extern sfr sbit USB_VBUS_Direction;
extern sfr sbit DC_VBUS_Direction;
extern sfr sbit BAT_STAT1_Direction;
extern sfr sbit BAT_STAT2_Direction;


extern sfr sbit Net_Wireless_CC3000_CS;
extern sfr sbit Net_Wireless_CC3000_Int;
extern sfr sbit Net_Wireless_CC3000_En;

extern sfr sbit Net_Wireless_CC3000_CS_Direction;
extern sfr sbit Net_Wireless_CC3000_Int_Direction;
extern sfr sbit Net_Wireless_CC3000_En_Direction;


extern sfr sbit PSW;


extern const unsigned long mikroProg_for_tiva_bmp;
extern const unsigned long arm_compilers_bmp;
extern const unsigned long clicks_bmp;
extern const unsigned long easymxprov7_bmp;
extern const unsigned long mikromedia5_for_tiva_bmp;
extern const unsigned long mikromediaplus_stellaris_bmp;
extern const unsigned long mp3_note_bmp;
extern const unsigned long mp3_player_note_bmp;
extern const unsigned long game_table_bmp;
extern const unsigned long rgb_bitmap_bmp;

extern unsigned long BackLight_PWM_period;
extern unsigned int *My_MemoryStartPtr;


void RedrawLabel(unsigned int BackGround_Color, Tlabel *Label, unsigned int Xoffset, unsigned int Yoffset);
unsigned long Get_Cursor_Offset(unsigned int _x, unsigned int _y);
void Init_GPIO();
char CopyImage_FromResources_ToSRAM(unsigned long offset, unsigned int *SRAMStartPtr);
char Init_FAT();
char* MyTFT_Get_Data(unsigned long fPos, unsigned long bytesToGet, unsigned long *pBytesGot);
void BLED_Fade_In();
void BLED_Fade_Out();
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/hid_mouse.h"
#line 1 "c:/c4w/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 3 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/hid_mouse.h"
extern char My_PenDown;


void HID_Mouse_Start();
void HIDEventHandler(uint8_t event);
void HID_Mouse_Handler();
void MouseReportReceived(uint8_t* reportData);
void MouseInit();
void HID_Mouse_Restore_Buffer();
void HID_Mouse_Restore_Display();
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/tic_tac_toe.h"

extern char TTT_flag;
extern unsigned int * const TicTacToe_Table_Image_SRAM_ptr;
extern char TicTacToe_Table_Loaded;
extern unsigned int TicTacToe_seconds_cnt;
extern TButton *ButtonArray[];


void doTicTacToeISR();
void doTicTacToe();
void ButtonClick(TButton *Butt, char No);
void XO_Reset();
void Start_nRF();
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/rtcc_driver.h"

typedef struct Time {
 short ampm;
 short seconds;
 short minutes;
 short hours;
 short day;
 short month;
 int year;
} TTime;

extern TTime MyTime;


void RTC_Init();
void Set_RTC(TTime *RTCC_Time);
char RTCC_Read(TTime *RTCC_Time);
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/wifi_main.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/user.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
#line 1 "c:/c4w/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/source/datatypes.h"
#line 1 "c:/c4w/mikroc pro for arm/include/stdint.h"
#line 64 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/source/datatypes.h"
typedef int8_t INT8;




typedef uint8_t UINT8;




typedef int16_t INT16;




typedef uint16_t UINT16;




typedef uint8_t BOOLEAN;









typedef int32_t INT32;




typedef uint32_t UINT32;
#line 106 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/source/datatypes.h"
typedef uint64_t UINT64;
#line 115 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/source/datatypes.h"
typedef int16_t INT;
typedef int8_t CHAR;

typedef float FLOAT;
typedef double DOUBLE;

typedef UINT16 _SlOpcode_t;
typedef UINT8 _SlArgSize_t;
typedef INT16 _SlDataSize_t;
typedef INT _SlReturnVal_t;
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 60 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
typedef void ( *P_EVENT_HANDLER )( void *p_pvalue );
typedef unsigned int Fd_t;
#line 77 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
Fd_t cc3100_hal_init( char *interface_name, unsigned long flags );
#line 84 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
int cc3100_hal_uninit( Fd_t fd );
#line 93 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
int cc3100_hal_read(Fd_t fd, uint8_t *p_buffer, int len );
#line 101 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
int cc3100_hal_write(Fd_t fd, uint8_t *p_buffer, int len );
#line 117 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
int cc3100_hal_register_int_handler( P_EVENT_HANDLER isr_handler,
 void* p_value );
#line 125 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
void cc3100_hal_enable( void );
#line 132 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
void cc3100_hal_reset( void );
#line 139 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
void cc3100_hal_disable( void );
#line 147 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
void cc3100_interrupt_enable( void );
#line 155 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
void cc3100_interrupt_disable( void );
#line 162 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/cc3100_hal.h"
void cc3100_hal_delay(unsigned long interval);
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/wifi_main.h"
#line 81 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/user.h"
typedef uint32_t _u32;
typedef int32_t _i32;
typedef uint8_t _u8;
typedef int8_t _i8;
typedef uint16_t _u16;
typedef int16_t _i16;
#line 97 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/platform/user.h"
typedef void ( *SL_P_EVENT_HANDLER )( void * );
#line 1 "c:/c4w/mikroc pro for arm/include/string.h"





void * memchr(void *p, char n, unsigned int v);
int memcmp(void *s1, void *s2, int n);
void * memcpy(void * d1, void * s1, int n);
void * memmove(void * to, void * from, int n);
void * memset(void * p1, char character, int n);
char * strcat(char * to, char * from);
char * strchr(char * ptr, char chr);
int strcmp(char * s1, char * s2);
char * strcpy(char * to, char * from);
int strlen(char * s);
char * strncat(char * to, char * from, int size);
char * strncpy(char * to, char * from, int size);
int strspn(char * str1, char * str2);
char strcspn(char * s1, char * s2);
int strncmp(char * s1, char * s2, char len);
char * strpbrk(char * s1, char * s2);
char * strrchr(char *ptr, char chr);
char * strstr(char * s1, char * s2);
char * strtok(char * s1, char * s2);
#line 384 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
typedef enum
{
 EVENT_PROPAGATION_BLOCK = 0,
 EVENT_PROPAGATION_CONTINUE

} _SlEventPropogationStatus_e;
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/../source/objinclusion.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/trace.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/fs.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 162 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/fs.h"
typedef struct
{
 _u16 flags;
 _u32 FileLen;
 _u32 AllocatedLen;
 _u32 Token[4];
} SlFsFileInfo_t;

typedef enum
{
 _FS_MODE_OPEN_READ = 0,
 _FS_MODE_OPEN_WRITE,
 _FS_MODE_OPEN_CREATE,
 _FS_MODE_OPEN_WRITE_CREATE_IF_NOT_EXIST
} SlFsFileOpenAccessType_e;

typedef enum
{
 _FS_FILE_OPEN_FLAG_COMMIT = 0x1,
 _FS_FILE_OPEN_FLAG_SECURE = 0x2,
 _FS_FILE_OPEN_FLAG_NO_SIGNATURE_TEST = 0x4,
 _FS_FILE_OPEN_FLAG_STATIC = 0x8,
 _FS_FILE_OPEN_FLAG_VENDOR = 0x10,
 _FS_FILE_PUBLIC_WRITE = 0x20,
 _FS_FILE_PUBLIC_READ = 0x40
} SlFileOpenFlags_e;

typedef enum
{
 _FS_MODE_SIZE_GRAN_256B = 0,
 _FS_MODE_SIZE_GRAN_1KB,
 _FS_MODE_SIZE_GRAN_4KB,
 _FS_MODE_SIZE_GRAN_16KB,
 _FS_MODE_SIZE_GRAN_64KB,
 _FS_MAX_MODE_SIZE_GRAN
} _SlFsFileOpenMaxSizeGran_e;




_u32 _sl_GetCreateFsMode( _u32 maxSizeInBytes, _u32 accessFlags );
#line 261 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/fs.h"
_i32 sl_FsOpen( const _u8 *pFileName, const _u32 AccessModeAndMaxSize,
 _u32 *pToken, _i32 *pFileHandle );
#line 285 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/fs.h"
_i16 sl_FsClose( const _i32 FileHdl, const _u8 *pCeritificateFileName,
 const _u8 *pSignature, const _u32 SignatureLen );
#line 308 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/fs.h"
_i32 sl_FsRead( const _i32 FileHdl, _u32 Offset , _u8 *pData, _u32 Len );
#line 330 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/fs.h"
_i32 sl_FsWrite( const _i32 FileHdl, _u32 Offset, _u8 *pData, _u32 Len );
#line 351 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/fs.h"
_i16 sl_FsGetInfo( const _u8 *pFileName, const _u32 Token,
 SlFsFileInfo_t *pFsFileInfo );
#line 371 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/fs.h"
_i16 sl_FsDel( const _u8 *pFileName, const _u32 Token );
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 445 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
typedef struct SlInAddr_t
{

 _u32 s_addr;
#line 463 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
} SlInAddr_t;



typedef struct
{
 _u32 KeepaliveEnabled;
} SlSockKeepalive_t;

typedef struct
{
 _u32 ReuseaddrEnabled;
} SlSockReuseaddr_t;

typedef struct
{
 _u32 Winsize;
} SlSockWinsize_t;

typedef struct
{
 _u32 NonblockingEnabled;
} SlSockNonblocking_t;


typedef struct
{
 _u8 sd;
 _u8 type;
 _i16 val;
 _u8 *pExtraInfo;
} SlSocketAsyncEvent_t;

typedef struct
{
 _i16 status;
 _u8 sd;
 _u8 padding;
} SlSockTxFailEventData_t;


typedef union
{
 SlSockTxFailEventData_t SockTxFailData;
 SlSocketAsyncEvent_t SockAsyncData;
} SlSockEventData_u;


typedef struct
{
 _u32 Event;
 SlSockEventData_u socketAsyncEvent;
} SlSockEvent_t;






typedef struct
{
 _u32 secureMask;
} SlSockSecureMask;

typedef struct
{
 _u8 secureMethod;
} SlSockSecureMethod;

typedef enum
{
 SL_BSD_SECURED_PRIVATE_KEY_IDX = 0,
 SL_BSD_SECURED_CERTIFICATE_IDX,
 SL_BSD_SECURED_CA_IDX,
 SL_BSD_SECURED_DH_IDX
} slBsd_secureSocketFilesIndex_e;

typedef struct
{
 SlInAddr_t imr_multiaddr;
 SlInAddr_t imr_interface;
} SlSockIpMreq;



typedef _u32 SlTime_t;
typedef _u32 SlSuseconds_t;

typedef struct SlTimeval_t
{
 SlTime_t tv_sec;
 SlSuseconds_t tv_usec;
} SlTimeval_t;

typedef _u16 SlSocklen_t;


typedef struct SlSockAddr_t
{
 _u16 sa_family;
 _u8 sa_data[14];
} SlSockAddr_t;



typedef struct SlIn6Addr_t
{
 union
 {
 _u8 _S6_u8[16];
 _u32 _S6_u32[4];
 } _S6_un;
} SlIn6Addr_t;

typedef struct SlSockAddrIn6_t
{
 _u16 sin6_family;
 _u16 sin6_port;
 _u32 sin6_flowinfo;
 SlIn6Addr_t sin6_addr;
 _u32
 sin6_scope_id;
} SlSockAddrIn6_t;



typedef struct SlSockAddrIn_t
{
 _u16
 sin_family;
 _u16
 sin_port;
 SlInAddr_t
 sin_addr;
 _i8
 sin_zero[8];
} SlSockAddrIn_t;

typedef struct
{
 _u32 ip;
 _u32 gateway;
 _u32 dns;
} SlIpV4AcquiredAsync_t;

typedef struct
{
 _u32 type;
 _u32 ip[4];
 _u32 gateway[4];
 _u32 dns[4];
} SlIpV6AcquiredAsync_t;

typedef struct
{
 _u32 ip_address;
 _u32 lease_time;
 _u8 mac[6];
 _u16 padding;
} SlIpLeasedAsync_t;

typedef struct
{
 _u32 ip_address;
 _u8 mac[6];
 _u16 reason;
} SlIpReleasedAsync_t;


typedef union
{
 SlIpV4AcquiredAsync_t ipAcquiredV4;
 SlIpV6AcquiredAsync_t ipAcquiredV6;
 _u32 sd;
 SlIpLeasedAsync_t ipLeased;
 SlIpReleasedAsync_t ipReleased;
} SlNetAppEventData_u;

typedef struct
{
 _u32 Event;
 SlNetAppEventData_u EventData;
} SlNetAppEvent_t;


typedef struct sock_secureFiles
{
 _u8 secureFiles[4];
} SlSockSecureFiles_t;


typedef struct
 SlFdSet_t
{
 _u32 fd_array[(  (8)  + 31 ) /
 32];
} SlFdSet_t;

typedef struct
{
 _u8 rate;
 _u8 channel;
 _i8 rssi;
 _u8 padding;
 _u32 timestamp;
} SlTransceiverRxOverHead_t;
#line 728 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_Socket( _i16 Domain, _i16 Type, _i16 Protocol );
#line 747 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_Close( _i16 sd );
#line 801 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_Accept( _i16 sd, SlSockAddr_t *addr, SlSocklen_t *addrlen );
#line 831 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_Bind( _i16 sd, const SlSockAddr_t *addr, _i16 addrlen );
#line 855 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_Listen( _i16 sd, _i16 backlog );
#line 897 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_Connect( _i16 sd, const SlSockAddr_t *addr, _i16 addrlen );
#line 949 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_Select( _i16 nfds, SlFdSet_t *readsds, SlFdSet_t *writesds,
 SlFdSet_t *exceptsds, struct SlTimeval_t *timeout );
#line 958 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
void SL_FD_SET( _i16 fd, SlFdSet_t *fdset );
#line 965 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
void SL_FD_CLR( _i16 fd, SlFdSet_t *fdset );
#line 976 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 SL_FD_ISSET( _i16 fd, SlFdSet_t *fdset );
#line 983 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
void SL_FD_ZERO( SlFdSet_t *fdset );
#line 1260 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_SetSockOpt( _i16 sd, _i16 level, _i16 optname, const void *optval,
 SlSocklen_t optlen );
#line 1305 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_GetSockOpt( _i16 sd, _i16 level, _i16 optname, void *optval,
 SlSocklen_t *optlen );
#line 1372 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_Recv( _i16 sd, void *buf, _i16 Len, _i16 flags );
#line 1431 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_RecvFrom( _i16 sd, void *buf, _i16 Len, _i16 flags,
 SlSockAddr_t *from, SlSocklen_t *fromlen );
#line 1482 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_Send( _i16 sd, const void *buf, _i16 Len, _i16 flags );
#line 1536 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_i16 sl_SendTo( _i16 sd, const void *buf, _i16 Len, _i16 flags,
 const SlSockAddr_t *to, SlSocklen_t tolen );
#line 1554 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_u32 sl_Htonl( _u32 val );
#line 1573 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/socket.h"
_u16 sl_Htons( _u16 val );
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 194 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
typedef struct
{
 _u32 PacketsSent;
 _u32 PacketsReceived;
 _u16 MinRoundTime;
 _u16 MaxRoundTime;
 _u16 AvgRoundTime;
 _u32 TestTime;
} SlPingReport_t;

typedef struct
{
 _u32 PingIntervalTime;
 _u16 PingSize;
 _u16 PingRequestTimeout;
 _u32 TotalNumberOfAttempts;
 _u32 Flags;
 _u32 Ip;
 _u32 Ip1OrPaadding;
 _u32 Ip2OrPaadding;
 _u32 Ip3OrPaadding;
} SlPingStartCommand_t;

typedef struct _slHttpServerString_t
{
 _u8 len;
 _u8 * _data ;

} slHttpServerString_t;

typedef struct _slHttpServerData_t
{
 _u8 value_len;
 _u8 name_len;
 _u8 *token_value;
 _u8 *token_name;
} slHttpServerData_t;

typedef struct _slHttpServerPostData_t
{
 slHttpServerString_t action;
 slHttpServerString_t token_name;
 slHttpServerString_t token_value;
} slHttpServerPostData_t;

typedef union
{
 slHttpServerString_t httpTokenName;
 slHttpServerPostData_t httpPostData;
} SlHttpServerEventData_u;

typedef union
{
 slHttpServerString_t token_value;
} SlHttpServerResponsedata_u;

typedef struct
{
 _u32 Event;
 SlHttpServerEventData_u EventData;
} SlHttpServerEvent_t;

typedef struct
{
 _u32 Response;
 SlHttpServerResponsedata_u ResponseData;
} SlHttpServerResponse_t;


typedef struct
{
 _u32 lease_time;
 _u32 ipv4_addr_start;
 _u32 ipv4_addr_last;
} SlNetAppDhcpServerBasicOpt_t;


typedef enum
{
 SL_NET_APP_FULL_SERVICE_WITH_TEXT_IPV4_TYPE = 1,
 SL_NET_APP_FULL_SERVICE_IPV4_TYPE,
 SL_NET_APP_SHORT_SERVICE_IPV4_TYPE

} SlNetAppGetServiceListType_e;

typedef struct
{
 _u32 service_ipv4;
 _u16 service_port;
 _u16 Reserved;
} SlNetAppGetShortServiceIpv4List_t;

typedef struct
{
 _u32 service_ipv4;
 _u16 service_port;
 _u16 Reserved;
 _u8 service_name[ (60) ];
 _u8 service_host[ (64) ];
} SlNetAppGetFullServiceIpv4List_t;

typedef struct
{
 _u32 service_ipv4;
 _u16 service_port;
 _u16 Reserved;
 _u8 service_name[ (60) ];
 _u8 service_host[ (64) ];
 _u8 service_text[ (256) ];
} SlNetAppGetFullServiceWithTextIpv4List_t;

typedef struct
{
#line 321 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
 _u32 t;
 _u32 p;
 _u32 k;
 _u32 RetransInterval;
 _u32 Maxinterval;
 _u32 max_time;
} SlNetAppServiceAdvertiseTimingParameters_t;




typedef void ( *P_SL_DEV_PING_CALLBACK )( SlPingReport_t * );
#line 362 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i16 sl_NetAppStart( const _u32 AppBitMap );
#line 388 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i16 sl_NetAppStop( const _u32 AppBitMap );
#line 438 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i16 sl_NetAppDnsGetHostByName( _i8 *hostname, const _u16 usNameLen,
 _u32 *out_ip_addr, const _u8 family );
#line 498 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i32 sl_NetAppDnsGetHostByService( _i8
 *pServiceName,
 const _u8 ServiceLen,
 const _u8 Family,
 _u32 pAddr[],
 _u32 *pPort,
 _u16 *pTextLen,
 _i8 *pText
 );
#line 559 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i16 sl_NetAppGetServiceList( const _u8 IndexOffest,
 const _u8 MaxServiceCount,
 const _u8 Flags,
 _i8 *pBuffer,
 const _u32 RxBufferLength
 );
#line 592 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i16 sl_NetAppMDNSUnRegisterService( const _i8 *pServiceName,
 const _u8 ServiceNameLen );
#line 661 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i16 sl_NetAppMDNSRegisterService( const _i8 *pServiceName,
 const _u8 ServiceNameLen,
 const _i8 *pText,
 const _u8 TextLen,
 const _u16 Port,
 const _u32 TTL,
 _u32 Options );
#line 731 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i16 sl_NetAppPingStart( const SlPingStartCommand_t *pPingParams,
 const _u8 family, SlPingReport_t *pReport,
 const P_SL_DEV_PING_CALLBACK pPingCallback );
#line 800 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i32 sl_NetAppSet( const _u8 AppId , const _u8 Option, const _u8 OptionLen,
 const _u8 *pOptionValue );
#line 873 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netapp.h"
_i32 sl_NetAppGet( const _u8 AppId, const _u8 Option, _u8 *pOptionLen,
 _u8 *pOptionValue );
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 293 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
typedef enum
{
 RATE_1M = 1,
 RATE_2M = 2,
 RATE_5_5M = 3,
 RATE_11M = 4,
 RATE_6M = 6,
 RATE_9M = 7,
 RATE_12M = 8,
 RATE_18M = 9,
 RATE_24M = 10,
 RATE_36M = 11,
 RATE_48M = 12,
 RATE_54M = 13,
 RATE_MCS_0 = 14,
 RATE_MCS_1 = 15,
 RATE_MCS_2 = 16,
 RATE_MCS_3 = 17,
 RATE_MCS_4 = 18,
 RATE_MCS_5 = 19,
 RATE_MCS_6 = 20,
 RATE_MCS_7 = 21,
 MAX_NUM_RATES = 0xFF
} SlRateIndex_e;

typedef enum
{
 DEV_PW_DEFAULT = 0,
 DEV_PW_PIN_KEYPAD = 1,
 DEV_PW_PUSH_BUTTON = 4,
 DEV_PW_PIN_DISPLAY = 5
} sl_p2p_dev_password_method;


typedef struct
{
 _u32 status;
 _u32 ssid_len;
 _u8 ssid[32];
 _u32 private_token_len;
 _u8 private_token[32];
} slSmartConfigStartAsyncResponse_t;

typedef struct
{
 _u16 status;
 _u16 padding;
} slSmartConfigStopAsyncResponse_t;

typedef struct
{
 _u16 status;
 _u16 padding;
} slWlanConnFailureAsyncResponse_t;

typedef struct
{
 _u8 connection_type;
 _u8 ssid_len;
 _u8 ssid_name[32];
 _u8 go_peer_device_name_len;
 _u8 go_peer_device_name[32];
 _u8 bssid[6];
 _u8 reason_code;
 _u8 padding[2];
} slWlanConnectAsyncResponse_t;

typedef struct
{
 _u8 go_peer_device_name[32];
 _u8 mac[6];
 _u8 go_peer_device_name_len;
 _u8 wps_dev_password_id;
 _u8 own_ssid[32];
 _u8 own_ssid_len;
 _u8 padding[3];
} slPeerInfoAsyncResponse_t;


typedef union
{
 slSmartConfigStartAsyncResponse_t
 smartConfigStartResponse;
 slSmartConfigStopAsyncResponse_t
 smartConfigStopResponse;
 slPeerInfoAsyncResponse_t
 APModeStaConnected;
 slPeerInfoAsyncResponse_t
 APModestaDisconnected;
 slWlanConnectAsyncResponse_t
 STAandP2PModeWlanConnected;
 slWlanConnectAsyncResponse_t
 STAandP2PModeDisconnected;
 slPeerInfoAsyncResponse_t
 P2PModeDevFound;
 slPeerInfoAsyncResponse_t
 P2PModeNegReqReceived;
 slWlanConnFailureAsyncResponse_t
 P2PModewlanConnectionFailure;

} SlWlanEventData_u;

typedef struct
{
 _u32 Event;
 SlWlanEventData_u EventData;
} SlWlanEvent_t;


typedef struct
{
 _u32 ReceivedValidPacketsNumber;
 _u32 ReceivedFcsErrorPacketsNumber;
 _u32 ReceivedAddressMismatchPacketsNumber;
 _i16 AvarageDataCtrlRssi;
 _i16 AvarageMgMntRssi;
 _u16 RateHistogram[ (20) ];
 _u16 RssiHistogram[ (6) ];
 _u32 StartTimeStamp;
 _u32 GetTimeStamp;
} SlGetRxStatResponse_t;


typedef struct
{
 _u8 ssid[ (32) ];
 _u8 ssid_len;
 _u8 sec_type;
 _u8 bssid[ (6) ];
 _i8 rssi;
 _i8 reserved[3];
} Sl_WlanNetworkEntry_t;


typedef struct
{
 _u8 Type;
 _i8 *Key;
 _u8 KeyLen;
} SlSecParams_t;

typedef struct
{
 _i8 *User;
 _u8 UserLen;
 _i8 *AnonUser;
 _u8 AnonUserLen;
 _u8 CertIndex;
 _u32 EapMethod;
} SlSecParamsExt_t;

typedef struct
{
 _i8 User[32];
 _u8 UserLen;
 _i8 AnonUser[32];
 _u8 AnonUserLen;
 _u8 CertIndex;
 _u32 EapMethod;
} SlGetSecParamsExt_t;

typedef enum
{
 ROLE_STA = 0,
 ROLE_AP = 2,
 ROLE_P2P = 3,
 ROLE_STA_ERR = -1,
 ROLE_AP_ERR = -ROLE_AP,
 ROLE_P2P_ERR = -ROLE_P2P
} SlWlanMode_t;

typedef struct
{
 _u32 G_Channels_mask;
 _i32 rssiThershold;
} slWlanScanParamCommand_t;


typedef struct
{
 _u8 id;
 _u8 oui[3];
 _u16 length;
 _u8  _data [252];
} sl_protocol_InfoElement_t;

typedef struct
{
 _u8
 index;
 _u8
 role;
 sl_protocol_InfoElement_t ie;
} sl_protocol_WlanSetInfoElement_t;
#line 520 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanConnect( const _i8 *pName, const _i16 NameLen,
 const _u8 *pMacAddr, const SlSecParams_t *pSecParams ,
 const SlSecParamsExt_t *pSecExtParams );
#line 537 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanDisconnect( void );
#line 579 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanProfileAdd( const _i8 *pName, const _i16 NameLen,
 const _u8 *pMacAddr, const SlSecParams_t *pSecParams ,
 const SlSecParamsExt_t *pSecExtParams, const _u32 Priority,
 const _u32 Options );
#line 614 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanProfileGet( const _i16 Index, _i8 *pName, _i16 *pNameLen,
 _u8 *pMacAddr, SlSecParams_t *pSecParams, SlGetSecParamsExt_t *pSecExtParams,
 _u32 *pPriority );
#line 635 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanProfileDel( const _i16 Index );
#line 704 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanPolicySet( const _u8 Type , const _u8 Policy, _u8 *pVal,
 const _u8 ValLen );
#line 728 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanPolicyGet( const _u8 Type , _u8 Policy, _u8 *pVal, _u8 *pValLen );
#line 759 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanGetNetworkList( const _u8 Index, const _u8 Count,
 Sl_WlanNetworkEntry_t *pEntries );
#line 799 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanRxStatStart( void );
#line 813 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanRxStatStop( void );
#line 829 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanRxStatGet( SlGetRxStatResponse_t *pRxStat, const _u32 Flags );
#line 848 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanSmartConfigStop( void );
#line 899 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanSmartConfigStart( const _u32 groupIdBitmask,
 const _u8 cipher,
 const _u8 publicKeyLen,
 const _u8 group1KeyLen,
 const _u8 group2KeyLen,
 const _u8 *publicKey,
 const _u8 *group1Key,
 const _u8 *group2Key );
#line 933 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanSetMode( const _u8 mode );
#line 1131 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanSet( const _u16 ConfigId , const _u16 ConfigOpt,
 const _u16 ConfigLen, const _u8 *pValues );
#line 1315 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan.h"
_i16 sl_WlanGet( const _u16 ConfigId, _u16 *pConfigOpt, _u16 *pConfigLen,
 _u8 *pValues );
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 97 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
typedef enum
{
 SL_ERR_SENDER_HEALTH_MON,
 SL_ERR_SENDER_CLI_UART,
 SL_ERR_SENDER_SUPPLICANT,
 SL_ERR_SENDER_NETWORK_STACK,
 SL_ERR_SENDER_WLAN_DRV_IF,
 SL_ERR_SENDER_WILINK,
 SL_ERR_SENDER_INIT_APP,
 SL_ERR_SENDER_NETX,
 SL_ERR_SENDER_HOST_APD,
 SL_ERR_SENDER_MDNS,
 SL_ERR_SENDER_HTTP_SERVER,
 SL_ERR_SENDER_DHCP_SERVER,
 SL_ERR_SENDER_DHCP_CLIENT,
 SL_ERR_DISPATCHER,
 SL_ERR_NUM_SENDER_LAST = 0xFF
} SlErrorSender_e;
#line 253 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
typedef struct
{
 _u32 ChipId;
 _u32 FwVersion[4];
 _u8 PhyVersion[4];
} _SlPartialVersion;

typedef struct
{
 _SlPartialVersion ChipFwAndPhyVersion;
 _u32 NwpVersion[4];
 _u16 RomVersion;
 _u16 Padding;
} SlVersionFull;


typedef struct
{
 _u32 AbortType;
 _u32 AbortData;
} sl_DeviceReportAbort;


typedef struct
{
 _i8 status;
 SlErrorSender_e sender;
} sl_DeviceReport;

typedef union
{
 sl_DeviceReport deviceEvent;
 sl_DeviceReportAbort deviceReport;
} _SlDeviceEventData_u;

typedef struct
{
 _u32 Event;
 _SlDeviceEventData_u EventData;
} SlDeviceEvent_t;

typedef struct
{

 _u32 sl_tm_sec;
 _u32 sl_tm_min;
 _u32 sl_tm_hour;

 _u32 sl_tm_day;
 _u32 sl_tm_mon;
 _u32 sl_tm_year;
 _u32 sl_tm_week_day;
 _u32 sl_tm_year_day;
 _u32 reserved[3];
} SlDateTime_t;





typedef void ( *P_INIT_CALLBACK )( _u32 Status );
#line 369 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
_i16 sl_Start( const void *pIfHdl, _i8 *pDevName,
 const P_INIT_CALLBACK pInitCallBack );
#line 402 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
_i16 sl_Stop( const _u16 timeout );
#line 439 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
_i32 sl_DevSet( const _u8 DeviceSetId , const _u8 Option, const _u8 ConfigLen,
 const _u8 *pValues );
#line 504 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
_i32 sl_DevGet( const _u8 DeviceGetId, _u8 *pOption, _u8 *pConfigLen,
 _u8 *pValues );
#line 557 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
_i16 sl_EventMaskSet( const _u8 EventClass , const _u32 Mask );
#line 597 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
_i16 sl_EventMaskGet( const _u8 EventClass, _u32 *pMask );
#line 622 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/device.h"
void sl_Task( void );
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netcfg.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 75 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netcfg.h"
typedef enum
{
 SL_MAC_ADDRESS_SET = 1,
 SL_MAC_ADDRESS_GET = 2,
 SL_IPV4_STA_P2P_CL_GET_INFO = 3,
 SL_IPV4_STA_P2P_CL_DHCP_ENABLE = 4,
 SL_IPV4_STA_P2P_CL_STATIC_ENABLE = 5,
 SL_IPV4_AP_P2P_GO_GET_INFO = 6,
 SL_IPV4_AP_P2P_GO_STATIC_ENABLE = 7,
 SL_SET_HOST_RX_AGGR = 8,
 MAX_SETTINGS = 0xFF
} Sl_NetCfg_e;


typedef struct
{
 _u32 ipV4;
 _u32 ipV4Mask;
 _u32 ipV4Gateway;
 _u32 ipV4DnsServer;
} SlNetCfgIpV4Args_t;
#line 187 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netcfg.h"
_i32 sl_NetCfgSet( const _u8 ConfigId, const _u8 ConfigOpt,
 const _u8 ConfigLen, const _u8 *pValues );
#line 268 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/netcfg.h"
_i32 sl_NetCfgGet( const _u8 ConfigId , _u8 *pConfigOpt, _u8 *pConfigLen,
 _u8 *pValues );
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
#line 146 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _i8 SlrxFilterID_t;
#line 153 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterCompareMask_t;
#line 162 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterIdMask_t[128 / 8];
#line 168 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterPrePreparedFilters_t;
#line 182 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8
SlrxFilterPrePreparedFiltersMask_t[ (32) 
 / 8];
#line 191 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct SlrxFilterRegxPattern_t
{
 _u8 x[ (32) ];
} SlrxFilterRegxPattern_t;
#line 201 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterAsciiArg_t;
#line 207 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterBinaryArg_t ;
#line 216 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterActionArg_t ;
#line 224 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u32 SlrxFilterOffset_t;
#line 232 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterRuleType_t;
#line 251 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef union SlrxFilterFlags_t
{
#line 277 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 _u8 IntRepresentation;

} SlrxFilterFlags_t;
#line 285 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterCompareFunction_t;
#line 297 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxTriggerCompareFunction_t;
#line 314 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterHdrField_t;
#line 354 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef union SlrxFilterHeaderArg_t
{
#line 362 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterBinaryArg_t
 RxFilterDB16BytesRuleArgs[ (2) ][16 ];
#line 373 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterBinaryArg_t
 RxFilterDB6BytesRuleArgs[ (2) ][6];
#line 380 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterAsciiArg_t
 RxFilterDB18BytesAsciiRuleArgs[ (2) ][18];
#line 387 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterBinaryArg_t
 RxFilterDB4BytesRuleArgs[ (2) ][4];
#line 392 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterAsciiArg_t
 RxFilterDB5BytesRuleAsciiArgs[ (2) ][5];
#line 397 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterBinaryArg_t
 RxFilterDB1BytesRuleArgs[ (2) ][1];
} SlrxFilterHeaderArg_t;
#line 407 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct SlrxFilterRuleHeaderArgsAndMask_t
{


 SlrxFilterHeaderArg_t RuleHeaderArgs;
#line 417 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterCompareMask_t RuleHeaderArgsMask[16];

} SlrxFilterRuleHeaderArgsAndMask_t;
#line 428 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct SlrxFilterHeaderType_t
{


 SlrxFilterRuleHeaderArgsAndMask_t RuleHeaderArgsAndMask;



 SlrxFilterHdrField_t RuleHeaderfield;
#line 442 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterCompareFunction_t RuleCompareFunc;



 _u8 RulePadding[2];

} SlrxFilterHeaderType_t;
#line 455 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct SlrxFilterPayloadType_t
{


 SlrxFilterRegxPattern_t RegxPattern;


 SlrxFilterOffset_t LowerOffset;


 SlrxFilterOffset_t UpperOffset;
} SlrxFilterPayloadType_t;
#line 472 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterCombinationTypeOperator_t;
#line 488 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct SlrxFilterCombinationType_t
{


 SlrxFilterCombinationTypeOperator_t CombinationTypeOperator;


 SlrxFilterID_t CombinationFilterId[ (2) ];


 _u8 Padding;
} SlrxFilterCombinationType_t;
#line 507 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef union SlrxFilterRule_t
{


 SlrxFilterHeaderType_t HeaderType;


 SlrxFilterPayloadType_t
 PayLoadHeaderType;


 SlrxFilterCombinationType_t CombinationType;
} SlrxFilterRule_t;
#line 530 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef union SlrxFilterTriggerRoles_t
{









 _u8 IntRepresentation;

} SlrxFilterTriggerRoles_t;
#line 554 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef union SlrxFilterTriggerConnectionStates_t
{
#line 567 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 _u8 IntRepresentation;

} SlrxFilterTriggerConnectionStates_t;
#line 578 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u32 SlrxFilterDBTriggerArg_t;
#line 585 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterCounterId_t;
#line 605 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef _u8 SlrxFilterActionArgs_t;
#line 633 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct SlrxFilterTrigger_t
{
#line 639 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterID_t ParentFilterID;


 SlrxFilterCounterId_t Trigger;


 SlrxFilterTriggerConnectionStates_t TriggerArgConnectionState;


 SlrxFilterTriggerRoles_t TriggerArgRoleStatus;


 SlrxFilterDBTriggerArg_t TriggerArg;
#line 657 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxTriggerCompareFunction_t TriggerCompareFunction;



 _u8 Padding[3];
} SlrxFilterTrigger_t;
#line 680 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef union SlrxFilterActionType_t
{
#line 705 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 _u8 IntRepresentation;

} SlrxFilterActionType_t;
#line 714 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct SlrxFilterAction_t
{


 SlrxFilterActionType_t ActionType;
#line 729 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
 SlrxFilterActionArg_t ActionArg[ (5) ];



 _u8 Padding[2];

} SlrxFilterAction_t;
#line 746 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct _WlanRxFilterOperationCommandBuff_t
{

 SlrxFilterIdMask_t FilterIdMask;

 _u8 Padding[4];
} _WlanRxFilterOperationCommandBuff_t;




typedef struct _WlanRxFilterUpdateArgsCommandBuff_t
{

 _u8 FilterId;



 _u8 BinaryRepresentation;


 SlrxFilterRuleHeaderArgsAndMask_t FilterRuleHeaderArgsAndMask;


 _u8 Padding[2];
} _WlanRxFilterUpdateArgsCommandBuff_t;
#line 779 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct _WlanRxFilterRetrieveEnableStatusCommandResponseBuff_t
{



 SlrxFilterIdMask_t FilterIdMask;

} _WlanRxFilterRetrieveEnableStatusCommandResponseBuff_t;
#line 793 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct _WlanRxFilterPrePreparedFiltersCommandBuff_t
{


 SlrxFilterPrePreparedFiltersMask_t FilterPrePreparedFiltersMask;

} _WlanRxFilterPrePreparedFiltersCommandBuff_t;
#line 806 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
typedef struct _WlanRxFilterPrePreparedFiltersCommandResponseBuff_t
{


 SlrxFilterPrePreparedFiltersMask_t FilterPrePreparedFiltersMask;

} _WlanRxFilterPrePreparedFiltersCommandResponseBuff_t;



typedef _u8 SLrxFilterOperation_t;
#line 857 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
SlrxFilterID_t sl_WlanRxFilterAdd( SlrxFilterRuleType_t
 RuleType,
 SlrxFilterFlags_t FilterFlags,
 const SlrxFilterRule_t *const Rule,
 const SlrxFilterTrigger_t *const Trigger,
 const SlrxFilterAction_t *const Action,
 SlrxFilterID_t *pFilterId );
#line 898 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
_i16 sl_WlanRxFilterSet( const SLrxFilterOperation_t RxFilterOperation,
 const _u8 *const pInputBuffer,
 _u16 InputbufferLength );
#line 923 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/wlan_rx_filters.h"
_i16 sl_WlanRxFilterGet( const SLrxFilterOperation_t RxFilterOperation,
 _u8 *pOutputBuffer,
 _u16 OutputbufferLength );
#line 757 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
typedef void ( *_SlSpawnEntryFunc_t )( void *pValue );
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/../source/nonos.h"
#line 72 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/../source/nonos.h"
typedef _i8 _SlNonOsRetVal_t;
#line 77 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/../source/nonos.h"
typedef _u8 _SlNonOsTime_t;
#line 88 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/../source/nonos.h"
typedef _u8 _SlNonOsSemObj_t;
#line 255 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/../source/nonos.h"
_SlNonOsRetVal_t _SlNonOsSpawn( _SlSpawnEntryFunc_t pEntry , void *pValue ,
 _u32 flags );
#line 269 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/../source/nonos.h"
_SlNonOsRetVal_t _SlNonOsMainLoopTask( void );

extern _SlNonOsRetVal_t _SlNonOsSemGet( _SlNonOsSemObj_t *pSyncObj,
 _SlNonOsSemObj_t WaitValue, _SlNonOsSemObj_t SetValue,
 _SlNonOsTime_t Timeout );
extern _SlNonOsRetVal_t _SlNonOsSemSet( _SlNonOsSemObj_t *pSemObj ,
 _SlNonOsSemObj_t Value );
extern _SlNonOsRetVal_t _SlNonOsSpawn( _SlSpawnEntryFunc_t pEntry ,
 void *pValue , _u32 flags );
#line 803 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
extern void  cc3100_general_event_handler ( SlDeviceEvent_t *pSlDeviceEvent );
#line 881 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
extern void  cc3100_wlan_event_handler ( SlWlanEvent_t *pSlWlanEvent );
#line 912 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
extern void  cc3100_net_app_event_handler ( SlNetAppEvent_t *pSlNetApp );
#line 934 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
extern void  cc3100_socket_event_handler ( SlSockEvent_t *pSlSockEvent );
#line 966 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/cc3100/simplelink/include/simplelink.h"
extern void  cc3100_http_server_callback ( SlHttpServerEvent_t *pSlHttpServerEvent,
 SlHttpServerResponse_t *pSlHttpServerResponse );
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__time.h"
#line 27 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__time.h"
typedef struct
 {
 unsigned char ss ;
 unsigned char mn ;
 unsigned char hh ;
 unsigned char md ;
 unsigned char wd ;
 unsigned char mo ;
 unsigned int yy ;
 } TimeStruct ;
#line 41 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__time.h"
extern long Time_jd1970 ;
#line 46 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__time.h"
long Time_dateToEpoch(TimeStruct *ts) ;
long Time_dateDiff(TimeStruct *t1, TimeStruct *t2);
void Time_epochToDate(long e, TimeStruct *ts) ;
#line 92 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/wifi_main.h"
extern char Time_Obtained;
extern TimeStruct my_time;


void Ethernet_Message(char *text);
void WiFi_Timer_ISR();
void Wifi_Config();
void Start_Ethernet();
#line 85 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/mikromedia_5_TIVA_main.c"
void Run_Example();

uint8_t USBHost_MSCApplication()
{

}









void Timer2A_interrupt() iv IVT_INT_TIMER2A_16_32_bit
{
 TIMER_ICR_TATOCINT_TIMER2_ICR_bit = 1;

 NVIC_IntDisable(IVT_INT_TIMER2A_16_32_bit);
 TIMER2_IRQ();
 NVIC_IntDisable(IVT_INT_TIMER2A_16_32_bit);
}





void GPIOInt() iv IVT_INT_GPIOG
{
 GPIO_PORTG_AHB_ICR = _GPIO_PINMASK_2;

 nRF24L01_IRQ();
}





void Timer3A_interrupt() iv IVT_INT_TIMER3A_16_32_bit
{
 TIMER_ICR_TATOCINT_TIMER3_ICR_bit = 1;

 TicTacToe_seconds_cnt ++;
 TTT_flag = 1;
}
#line 145 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/mikromedia_5_TIVA_main.c"
void USB0Interrupt() iv IVT_INT_USB
{
 USBHost_IntHandler();
}
#line 163 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/mikromedia_5_TIVA_main.c"
void main() {
 Start_TP();

 Init_GPIO();
 Init_FAT();
 RTC_Init();
 HID_Mouse_Start();
 EnableInterrupts();

 while (1) {
 USBHost_Main();
 HID_Mouse_Handler();

 Check_TP();
 Run_Example();
 }
}
